
(cl:in-package w32apimod)

(define-w32api-module win95.error :win95.error)

(cl:in-package cl-w32api.module.win95.error)

(require-and-inherit-module "win95.~")

(defcenum (ERROR-CODES DWORD)
  (:SUCCESS 0)
  (:NO_ERROR 0)
  (:INVALID_FUNCTION 1)
  (:FILE_NOT_FOUND 2)
  (:PATH_NOT_FOUND 3)
  (:TOO_MANY_OPEN_FILES 4)
  (:ACCESS_DENIED 5)
  (:INVALID_HANDLE 6)
  (:ARENA_TRASHED 7)
  (:NOT_ENOUGH_MEMORY 8)
  (:INVALID_BLOCK 9)
  (:BAD_ENVIRONMENT 10)
  (:BAD_FORMAT 11)
  (:INVALID_ACCESS 12)
  (:INVALID_DATA 13)
  (:OUTOFMEMORY 14)
  (:INVALID_DRIVE 15)
  (:CURRENT_DIRECTORY 16)
  (:NOT_SAME_DEVICE 17)
  (:NO_MORE_FILES 18)
  (:WRITE_PROTECT 19)
  (:BAD_UNIT 20)
  (:NOT_READY 21)
  (:BAD_COMMAND 22)
  (:CRC 23)
  (:BAD_LENGTH 24)
  (:SEEK 25)
  (:NOT_DOS_DISK 26)
  (:SECTOR_NOT_FOUND 27)
  (:OUT_OF_PAPER 28)
  (:WRITE_FAULT 29)
  (:READ_FAULT 30)
  (:GEN_FAILURE 31)
  (:SHARING_VIOLATION 32)
  (:LOCK_VIOLATION 33)
  (:WRONG_DISK 34)
  (:SHARING_BUFFER_EXCEEDED 36)
  (:HANDLE_EOF 38)
  (:HANDLE_DISK_FULL 39)
  (:NOT_SUPPORTED 50)
  (:REM_NOT_LIST 51)
  (:DUP_NAME 52)
  (:BAD_NETPATH 53)
  (:NETWORK_BUSY 54)
  (:DEV_NOT_EXIST 55)
  (:TOO_MANY_CMDS 56)
  (:ADAP_HDW_ERR 57)
  (:BAD_NET_RESP 58)
  (:UNEXP_NET_ERR 59)
  (:BAD_REM_ADAP 60)
  (:PRINTQ_FULL 61)
  (:NO_SPOOL_SPACE 62)
  (:PRINT_CANCELLED 63)
  (:NETNAME_DELETED 64)
  (:NETWORK_ACCESS_DENIED 65)
  (:BAD_DEV_TYPE 66)
  (:BAD_NET_NAME 67)
  (:TOO_MANY_NAMES 68)
  (:TOO_MANY_SESS 69)
  (:SHARING_PAUSED 70)
  (:REQ_NOT_ACCEP 71)
  (:REDIR_PAUSED 72)
  (:FILE_EXISTS 80)
  (:CANNOT_MAKE 82)
  (:FAIL_I24 83)
  (:OUT_OF_STRUCTURES 84)
  (:ALREADY_ASSIGNED 85)
  (:INVALID_PASSWORD 86)
  (:INVALID_PARAMETER 87)
  (:NET_WRITE_FAULT 88)
  (:NO_PROC_SLOTS 89)
  (:TOO_MANY_SEMAPHORES 100)
  (:EXCL_SEM_ALREADY_OWNED 101)
  (:SEM_IS_SET 102)
  (:TOO_MANY_SEM_REQUESTS 103)
  (:INVALID_AT_INTERRUPT_TIME 104)
  (:SEM_OWNER_DIED 105)
  (:SEM_USER_LIMIT 106)
  (:DISK_CHANGE 107)
  (:DRIVE_LOCKED 108)
  (:BROKEN_PIPE 109)
  (:OPEN_FAILED 110)
  (:BUFFER_OVERFLOW 111)
  (:DISK_FULL 112)
  (:NO_MORE_SEARCH_HANDLES 113)
  (:INVALID_TARGET_HANDLE 114)
  (:INVALID_CATEGORY 117)
  (:INVALID_VERIFY_SWITCH 118)
  (:BAD_DRIVER_LEVEL 119)
  (:CALL_NOT_IMPLEMENTED 120)
  (:SEM_TIMEOUT 121)
  (:INSUFFICIENT_BUFFER 122)
  (:INVALID_NAME 123)
  (:INVALID_LEVEL 124)
  (:NO_VOLUME_LABEL 125)
  (:MOD_NOT_FOUND 126)
  (:PROC_NOT_FOUND 127)
  (:WAIT_NO_CHILDREN 128)
  (:CHILD_NOT_COMPLETE 129)
  (:DIRECT_ACCESS_HANDLE 130)
  (:NEGATIVE_SEEK 131)
  (:SEEK_ON_DEVICE 132)
  (:IS_JOIN_TARGET 133)
  (:IS_JOINED 134)
  (:IS_SUBSTED 135)
  (:NOT_JOINED 136)
  (:NOT_SUBSTED 137)
  (:JOIN_TO_JOIN 138)
  (:SUBST_TO_SUBST 139)
  (:JOIN_TO_SUBST 140)
  (:SUBST_TO_JOIN 141)
  (:BUSY_DRIVE 142)
  (:SAME_DRIVE 143)
  (:DIR_NOT_ROOT 144)
  (:DIR_NOT_EMPTY 145)
  (:IS_SUBST_PATH 146)
  (:IS_JOIN_PATH 147)
  (:PATH_BUSY 148)
  (:IS_SUBST_TARGET 149)
  (:SYSTEM_TRACE 150)
  (:INVALID_EVENT_COUNT 151)
  (:TOO_MANY_MUXWAITERS 152)
  (:INVALID_LIST_FORMAT 153)
  (:LABEL_TOO_LONG 154)
  (:TOO_MANY_TCBS 155)
  (:SIGNAL_REFUSED 156)
  (:DISCARDED 157)
  (:NOT_LOCKED 158)
  (:BAD_THREADID_ADDR 159)
  (:BAD_ARGUMENTS 160)
  (:BAD_PATHNAME 161)
  (:SIGNAL_PENDING 162)
  (:MAX_THRDS_REACHED 164)
  (:LOCK_FAILED 167)
  (:BUSY 170)
  (:CANCEL_VIOLATION 173)
  (:ATOMIC_LOCKS_NOT_SUPPORTED 174)
  (:INVALID_SEGMENT_NUMBER 180)
  (:INVALID_ORDINAL 182)
  (:ALREADY_EXISTS 183)
  (:INVALID_FLAG_NUMBER 186)
  (:SEM_NOT_FOUND 187)
  (:INVALID_STARTING_CODESEG 188)
  (:INVALID_STACKSEG 189)
  (:INVALID_MODULETYPE 190)
  (:INVALID_EXE_SIGNATURE 191)
  (:EXE_MARKED_INVALID 192)
  (:BAD_EXE_FORMAT 193)
  (:ITERATED_DATA_EXCEEDS_64k 194)
  (:INVALID_MINALLOCSIZE 195)
  (:DYNLINK_FROM_INVALID_RING 196)
  (:IOPL_NOT_ENABLED 197)
  (:INVALID_SEGDPL 198)
  (:AUTODATASEG_EXCEEDS_64k 199)
  (:RING2SEG_MUST_BE_MOVABLE 200)
  (:RELOC_CHAIN_XEEDS_SEGLIM 201)
  (:INFLOOP_IN_RELOC_CHAIN 202)
  (:ENVVAR_NOT_FOUND 203)
  (:NO_SIGNAL_SENT 205)
  (:FILENAME_EXCED_RANGE 206)
  (:RING2_STACK_IN_USE 207)
  (:META_EXPANSION_TOO_LONG 208)
  (:INVALID_SIGNAL_NUMBER 209)
  (:THREAD_1_INACTIVE 210)
  (:LOCKED 212)
  (:TOO_MANY_MODULES 214)
  (:NESTING_NOT_ALLOWED 215)
  (:EXE_MACHINE_TYPE_MISMATCH 216)
  (:EXE_CANNOT_MODIFY_SIGNED_BINARY 217)
  (:EXE_CANNOT_MODIFY_STRONG_SIGNED_BINARY 218)
  (:BAD_PIPE 230)
  (:PIPE_BUSY 231)
  (:NO_DATA 232)
  (:PIPE_NOT_CONNECTED 233)
  (:MORE_DATA 234)
  (:VC_DISCONNECTED 240)
  (:INVALID_EA_NAME 254)
  (:EA_LIST_INCONSISTENT 255)
  (:WAIT_TIMEOUT 258)
  (:NO_MORE_ITEMS 259)
  (:CANNOT_COPY 266)
  (:DIRECTORY 267)
  (:EAS_DIDNT_FIT 275)
  (:EA_FILE_CORRUPT 276)
  (:EA_TABLE_FULL 277)
  (:INVALID_EA_HANDLE 278)
  (:EAS_NOT_SUPPORTED 282)
  (:NOT_OWNER 288)
  (:TOO_MANY_POSTS 298)
  (:PARTIAL_COPY 299)
  (:OPLOCK_NOT_GRANTED 300)
  (:INVALID_OPLOCK_PROTOCOL 301)
  (:DISK_TOO_FRAGMENTED 302)
  (:DELETE_PENDING 303)
  (:MR_MID_NOT_FOUND 317)
  (:SCOPE_NOT_FOUND 318)
  (:INVALID_ADDRESS 487)
  (:ARITHMETIC_OVERFLOW 534)
  (:PIPE_CONNECTED 535)
  (:PIPE_LISTENING 536)
  (:EA_ACCESS_DENIED 994)
  (:OPERATION_ABORTED 995)
  (:IO_INCOMPLETE 996)
  (:IO_PENDING 997)
  (:NOACCESS 998)
  (:SWAPERROR 999)
  (:STACK_OVERFLOW 1001)
  (:INVALID_MESSAGE 1002)
  (:CAN_NOT_COMPLETE 1003)
  (:INVALID_FLAGS 1004)
  (:UNRECOGNIZED_VOLUME 1005)
  (:FILE_INVALID 1006)
  (:FULLSCREEN_MODE 1007)
  (:NO_TOKEN 1008)
  (:BADDB 1009)
  (:BADKEY 1010)
  (:CANTOPEN 1011)
  (:CANTREAD 1012)
  (:CANTWRITE 1013)
  (:REGISTRY_RECOVERED 1014)
  (:REGISTRY_CORRUPT 1015)
  (:REGISTRY_IO_FAILED 1016)
  (:NOT_REGISTRY_FILE 1017)
  (:KEY_DELETED 1018)
  (:NO_LOG_SPACE 1019)
  (:KEY_HAS_CHILDREN 1020)
  (:CHILD_MUST_BE_VOLATILE 1021)
  (:NOTIFY_ENUM_DIR 1022)
  (:DEPENDENT_SERVICES_RUNNING 1051)
  (:INVALID_SERVICE_CONTROL 1052)
  (:SERVICE_REQUEST_TIMEOUT 1053)
  (:SERVICE_NO_THREAD 1054)
  (:SERVICE_DATABASE_LOCKED 1055)
  (:SERVICE_ALREADY_RUNNING 1056)
  (:INVALID_SERVICE_ACCOUNT 1057)
  (:SERVICE_DISABLED 1058)
  (:CIRCULAR_DEPENDENCY 1059)
  (:SERVICE_DOES_NOT_EXIST 1060)
  (:SERVICE_CANNOT_ACCEPT_CTRL 1061)
  (:SERVICE_NOT_ACTIVE 1062)
  (:FAILED_SERVICE_CONTROLLER_CONNECT 1063)
  (:EXCEPTION_IN_SERVICE 1064)
  (:DATABASE_DOES_NOT_EXIST 1065)
  (:SERVICE_SPECIFIC_ERROR 1066)
  (:PROCESS_ABORTED 1067)
  (:SERVICE_DEPENDENCY_FAIL 1068)
  (:SERVICE_LOGON_FAILED 1069)
  (:SERVICE_START_HANG 1070)
  (:INVALID_SERVICE_LOCK 1071)
  (:SERVICE_MARKED_FOR_DELETE 1072)
  (:SERVICE_EXISTS 1073)
  (:ALREADY_RUNNING_LKG 1074)
  (:SERVICE_DEPENDENCY_DELETED 1075)
  (:BOOT_ALREADY_ACCEPTED 1076)
  (:SERVICE_NEVER_STARTED 1077)
  (:DUPLICATE_SERVICE_NAME 1078)
  (:DIFFERENT_SERVICE_ACCOUNT 1079)
  (:CANNOT_DETECT_DRIVER_FAILURE 1080)
  (:CANNOT_DETECT_PROCESS_ABORT 1081)
  (:NO_RECOVERY_PROGRAM 1082)
  (:SERVICE_NOT_IN_EXE 1083)
  (:NOT_SAFEBOOT_SERVICE 1084)
  (:END_OF_MEDIA 1100)
  (:FILEMARK_DETECTED 1101)
  (:BEGINNING_OF_MEDIA 1102)
  (:SETMARK_DETECTED 1103)
  (:NO_DATA_DETECTED 1104)
  (:PARTITION_FAILURE 1105)
  (:INVALID_BLOCK_LENGTH 1106)
  (:DEVICE_NOT_PARTITIONED 1107)
  (:UNABLE_TO_LOCK_MEDIA 1108)
  (:UNABLE_TO_UNLOAD_MEDIA 1109)
  (:MEDIA_CHANGED 1110)
  (:BUS_RESET 1111)
  (:NO_MEDIA_IN_DRIVE 1112)
  (:NO_UNICODE_TRANSLATION 1113)
  (:DLL_INIT_FAILED 1114)
  (:SHUTDOWN_IN_PROGRESS 1115)
  (:NO_SHUTDOWN_IN_PROGRESS 1116)
  (:IO_DEVICE 1117)
  (:SERIAL_NO_DEVICE 1118)
  (:IRQ_BUSY 1119)
  (:MORE_WRITES 1120)
  (:COUNTER_TIMEOUT 1121)
  (:FLOPPY_ID_MARK_NOT_FOUND 1122)
  (:FLOPPY_WRONG_CYLINDER 1123)
  (:FLOPPY_UNKNOWN_ERROR 1124)
  (:FLOPPY_BAD_REGISTERS 1125)
  (:DISK_RECALIBRATE_FAILED 1126)
  (:DISK_OPERATION_FAILED 1127)
  (:DISK_RESET_FAILED 1128)
  (:EOM_OVERFLOW 1129)
  (:NOT_ENOUGH_SERVER_MEMORY 1130)
  (:POSSIBLE_DEADLOCK 1131)
  (:MAPPED_ALIGNMENT 1132)
  (:SET_POWER_STATE_VETOED 1140)
  (:SET_POWER_STATE_FAILED 1141)
  (:TOO_MANY_LINKS 1142)
  (:OLD_WIN_VERSION 1150)
  (:APP_WRONG_OS 1151)
  (:SINGLE_INSTANCE_APP 1152)
  (:RMODE_APP 1153)
  (:INVALID_DLL 1154)
  (:NO_ASSOCIATION 1155)
  (:DDE_FAIL 1156)
  (:DLL_NOT_FOUND 1157)
  (:NO_MORE_USER_HANDLES 1158)
  (:MESSAGE_SYNC_ONLY 1159)
  (:SOURCE_ELEMENT_EMPTY 1160)
  (:DESTINATION_ELEMENT_FULL 1161)
  (:ILLEGAL_ELEMENT_ADDRESS 1162)
  (:MAGAZINE_NOT_PRESENT 1163)
  (:DEVICE_REINITIALIZATION_NEEDED 1164)
  (:DEVICE_REQUIRES_CLEANING 1165)
  (:DEVICE_DOOR_OPEN 1166)
  (:DEVICE_NOT_CONNECTED 1167)
  (:NOT_FOUND 1168)
  (:NO_MATCH 1169)
  (:SET_NOT_FOUND 1170)
  (:POINT_NOT_FOUND 1171)
  (:NO_TRACKING_SERVICE 1172)
  (:NO_VOLUME_ID 1173)
  (:UNABLE_TO_REMOVE_REPLACED 1175)
  (:UNABLE_TO_MOVE_REPLACEMENT 1176)
  (:UNABLE_TO_MOVE_REPLACEMENT_2 1177)
  (:JOURNAL_DELETE_IN_PROGRESS 1178)
  (:JOURNAL_NOT_ACTIVE 1179)
  (:POTENTIAL_FILE_FOUND 1180)
  (:JOURNAL_ENTRY_DELETED 1181)
  (:BAD_DEVICE 1200)
  (:CONNECTION_UNAVAIL 1201)
  (:DEVICE_ALREADY_REMEMBERED 1202)
  (:NO_NET_OR_BAD_PATH 1203)
  (:BAD_PROVIDER 1204)
  (:CANNOT_OPEN_PROFILE 1205)
  (:BAD_PROFILE 1206)
  (:NOT_CONTAINER 1207)
  (:EXTENDED_ERROR 1208)
  (:INVALID_GROUPNAME 1209)
  (:INVALID_COMPUTERNAME 1210)
  (:INVALID_EVENTNAME 1211)
  (:INVALID_DOMAINNAME 1212)
  (:INVALID_SERVICENAME 1213)
  (:INVALID_NETNAME 1214)
  (:INVALID_SHARENAME 1215)
  (:INVALID_PASSWORDNAME 1216)
  (:INVALID_MESSAGENAME 1217)
  (:INVALID_MESSAGEDEST 1218)
  (:SESSION_CREDENTIAL_CONFLICT 1219)
  (:REMOTE_SESSION_LIMIT_EXCEEDED 1220)
  (:DUP_DOMAINNAME 1221)
  (:NO_NETWORK 1222)
  (:CANCELLED 1223)
  (:USER_MAPPED_FILE 1224)
  (:CONNECTION_REFUSED 1225)
  (:GRACEFUL_DISCONNECT 1226)
  (:ADDRESS_ALREADY_ASSOCIATED 1227)
  (:ADDRESS_NOT_ASSOCIATED 1228)
  (:CONNECTION_INVALID 1229)
  (:CONNECTION_ACTIVE 1230)
  (:NETWORK_UNREACHABLE 1231)
  (:HOST_UNREACHABLE 1232)
  (:PROTOCOL_UNREACHABLE 1233)
  (:PORT_UNREACHABLE 1234)
  (:REQUEST_ABORTED 1235)
  (:CONNECTION_ABORTED 1236)
  (:RETRY 1237)
  (:CONNECTION_COUNT_LIMIT 1238)
  (:LOGIN_TIME_RESTRICTION 1239)
  (:LOGIN_WKSTA_RESTRICTION 1240)
  (:INCORRECT_ADDRESS 1241)
  (:ALREADY_REGISTERED 1242)
  (:SERVICE_NOT_FOUND 1243)
  (:NOT_AUTHENTICATED 1244)
  (:NOT_LOGGED_ON 1245)
  (:CONTINUE 1246)
  (:ALREADY_INITIALIZED 1247)
  (:NO_MORE_DEVICES 1248)
  (:NO_SUCH_SITE 1249)
  (:DOMAIN_CONTROLLER_EXISTS 1250)
  (:ONLY_IF_CONNECTED 1251)
  (:OVERRIDE_NOCHANGES 1252)
  (:BAD_USER_PROFILE 1253)
  (:NOT_SUPPORTED_ON_SBS 1254)
  (:SERVER_SHUTDOWN_IN_PROGRESS 1255)
  (:HOST_DOWN 1256)
  (:NON_ACCOUNT_SID 1257)
  (:NON_DOMAIN_SID 1258)
  (:APPHELP_BLOCK 1259)
  (:ACCESS_DISABLED_BY_POLICY 1260)
  (:REG_NAT_CONSUMPTION 1261)
  (:CSCSHARE_OFFLINE 1262)
  (:PKINIT_FAILURE 1263)
  (:SMARTCARD_SUBSYSTEM_FAILURE 1264)
  (:DOWNGRADE_DETECTED 1265)
  (:SEC_E_SMARTCARD_CERT_REVOKED 1266)
  (:SEC_E_ISSUING_CA_UNTRUSTED 1267)
  (:SEC_E_REVOCATION_OFFLINE_C 1268)
  (:SEC_E_PKINIT_CLIENT_FAILUR 1269)
  (:SEC_E_SMARTCARD_CERT_EXPIRED 1270)
  (:MACHINE_LOCKED 1271)
  (:CALLBACK_SUPPLIED_INVALID_DATA 1273)
  (:SYNC_FOREGROUND_REFRESH_REQUIRED 1274)
  (:DRIVER_BLOCKED 1275)
  (:INVALID_IMPORT_OF_NON_DLL 1276)
  (:ACCESS_DISABLED_WEBBLADE 1277)
  (:ACCESS_DISABLED_WEBBLADE_TAMPER 1278)
  (:RECOVERY_FAILURE 1279)
  (:ALREADY_FIBER 1280)
  (:ALREADY_THREAD 1281)
  (:STACK_BUFFER_OVERRUN 1282)
  (:PARAMETER_QUOTA_EXCEEDED 1283)
  (:DEBUGGER_INACTIVE 1284)
  (:NOT_ALL_ASSIGNED 1300)
  (:SOME_NOT_MAPPED 1301)
  (:NO_QUOTAS_FOR_ACCOUNT 1302)
  (:LOCAL_USER_SESSION_KEY 1303)
  (:NULL_LM_PASSWORD 1304)
  (:UNKNOWN_REVISION 1305)
  (:REVISION_MISMATCH 1306)
  (:INVALID_OWNER 1307)
  (:INVALID_PRIMARY_GROUP 1308)
  (:NO_IMPERSONATION_TOKEN 1309)
  (:CANT_DISABLE_MANDATORY 1310)
  (:NO_LOGON_SERVERS 1311)
  (:NO_SUCH_LOGON_SESSION 1312)
  (:NO_SUCH_PRIVILEGE 1313)
  (:PRIVILEGE_NOT_HELD 1314)
  (:INVALID_ACCOUNT_NAME 1315)
  (:USER_EXISTS 1316)
  (:NO_SUCH_USER 1317)
  (:GROUP_EXISTS 1318)
  (:NO_SUCH_GROUP 1319)
  (:MEMBER_IN_GROUP 1320)
  (:MEMBER_NOT_IN_GROUP 1321)
  (:LAST_ADMIN 1322)
  (:WRONG_PASSWORD 1323)
  (:ILL_FORMED_PASSWORD 1324)
  (:PASSWORD_RESTRICTION 1325)
  (:LOGON_FAILURE 1326)
  (:ACCOUNT_RESTRICTION 1327)
  (:INVALID_LOGON_HOURS 1328)
  (:INVALID_WORKSTATION 1329)
  (:PASSWORD_EXPIRED 1330)
  (:ACCOUNT_DISABLED 1331)
  (:NONE_MAPPED 1332)
  (:TOO_MANY_LUIDS_REQUESTED 1333)
  (:LUIDS_EXHAUSTED 1334)
  (:INVALID_SUB_AUTHORITY 1335)
  (:INVALID_ACL 1336)
  (:INVALID_SID 1337)
  (:INVALID_SECURITY_DESCR 1338)
  (:BAD_INHERITANCE_ACL 1340)
  (:SERVER_DISABLED 1341)
  (:SERVER_NOT_DISABLED 1342)
  (:INVALID_ID_AUTHORITY 1343)
  (:ALLOTTED_SPACE_EXCEEDED 1344)
  (:INVALID_GROUP_ATTRIBUTES 1345)
  (:BAD_IMPERSONATION_LEVEL 1346)
  (:CANT_OPEN_ANONYMOUS 1347)
  (:BAD_VALIDATION_CLASS 1348)
  (:BAD_TOKEN_TYPE 1349)
  (:NO_SECURITY_ON_OBJECT 1350)
  (:CANT_ACCESS_DOMAIN_INFO 1351)
  (:INVALID_SERVER_STATE 1352)
  (:INVALID_DOMAIN_STATE 1353)
  (:INVALID_DOMAIN_ROLE 1354)
  (:NO_SUCH_DOMAIN 1355)
  (:DOMAIN_EXISTS 1356)
  (:DOMAIN_LIMIT_EXCEEDED 1357)
  (:INTERNAL_DB_CORRUPTION 1358)
  (:INTERNAL_ERROR 1359)
  (:GENERIC_NOT_MAPPED 1360)
  (:BAD_DESCRIPTOR_FORMAT 1361)
  (:NOT_LOGON_PROCESS 1362)
  (:LOGON_SESSION_EXISTS 1363)
  (:NO_SUCH_PACKAGE 1364)
  (:BAD_LOGON_SESSION_STATE 1365)
  (:LOGON_SESSION_COLLISION 1366)
  (:INVALID_LOGON_TYPE 1367)
  (:CANNOT_IMPERSONATE 1368)
  (:RXACT_INVALID_STATE 1369)
  (:RXACT_COMMIT_FAILURE 1370)
  (:SPECIAL_ACCOUNT 1371)
  (:SPECIAL_GROUP 1372)
  (:SPECIAL_USER 1373)
  (:MEMBERS_PRIMARY_GROUP 1374)
  (:TOKEN_ALREADY_IN_USE 1375)
  (:NO_SUCH_ALIAS 1376)
  (:MEMBER_NOT_IN_ALIAS 1377)
  (:MEMBER_IN_ALIAS 1378)
  (:ALIAS_EXISTS 1379)
  (:LOGON_NOT_GRANTED 1380)
  (:TOO_MANY_SECRETS 1381)
  (:SECRET_TOO_LONG 1382)
  (:INTERNAL_DB_ERROR 1383)
  (:TOO_MANY_CONTEXT_IDS 1384)
  (:LOGON_TYPE_NOT_GRANTED 1385)
  (:NT_CROSS_ENCRYPTION_REQUIRED 1386)
  (:NO_SUCH_MEMBER 1387)
  (:INVALID_MEMBER 1388)
  (:TOO_MANY_SIDS 1389)
  (:LM_CROSS_ENCRYPTION_REQUIRED 1390)
  (:NO_INHERITANCE 1391)
  (:FILE_CORRUPT 1392)
  (:DISK_CORRUPT 1393)
  (:NO_USER_SESSION_KEY 1394)
  (:LICENSE_QUOTA_EXCEEDED 1395)
  (:WRONG_TARGET_NAME 1396)
  (:MUTUAL_AUTH_FAILED 1397)
  (:TIME_SKEW 1398)
  (:CURRENT_DOMAIN_NOT_ALLOWED 1399)
  (:INVALID_WINDOW_HANDLE 1400)
  (:INVALID_MENU_HANDLE 1401)
  (:INVALID_CURSOR_HANDLE 1402)
  (:INVALID_ACCEL_HANDLE 1403)
  (:INVALID_HOOK_HANDLE 1404)
  (:INVALID_DWP_HANDLE 1405)
  (:TLW_WITH_WSCHILD 1406)
  (:CANNOT_FIND_WND_CLASS 1407)
  (:WINDOW_OF_OTHER_THREAD 1408)
  (:HOTKEY_ALREADY_REGISTERED 1409)
  (:CLASS_ALREADY_EXISTS 1410)
  (:CLASS_DOES_NOT_EXIST 1411)
  (:CLASS_HAS_WINDOWS 1412)
  (:INVALID_INDEX 1413)
  (:INVALID_ICON_HANDLE 1414)
  (:PRIVATE_DIALOG_INDEX 1415)
  (:LISTBOX_ID_NOT_FOUND 1416)
  (:NO_WILDCARD_CHARACTERS 1417)
  (:CLIPBOARD_NOT_OPEN 1418)
  (:HOTKEY_NOT_REGISTERED 1419)
  (:WINDOW_NOT_DIALOG 1420)
  (:CONTROL_ID_NOT_FOUND 1421)
  (:INVALID_COMBOBOX_MESSAGE 1422)
  (:WINDOW_NOT_COMBOBOX 1423)
  (:INVALID_EDIT_HEIGHT 1424)
  (:DC_NOT_FOUND 1425)
  (:INVALID_HOOK_FILTER 1426)
  (:INVALID_FILTER_PROC 1427)
  (:HOOK_NEEDS_HMOD 1428)
  (:GLOBAL_ONLY_HOOK 1429)
  (:JOURNAL_HOOK_SET 1430)
  (:HOOK_NOT_INSTALLED 1431)
  (:INVALID_LB_MESSAGE 1432)
  (:SETCOUNT_ON_BAD_LB 1433)
  (:LB_WITHOUT_TABSTOPS 1434)
  (:DESTROY_OBJECT_OF_OTHER_THREAD 1435)
  (:CHILD_WINDOW_MENU 1436)
  (:NO_SYSTEM_MENU 1437)
  (:INVALID_MSGBOX_STYLE 1438)
  (:INVALID_SPI_VALUE 1439)
  (:SCREEN_ALREADY_LOCKED 1440)
  (:HWNDS_HAVE_DIFF_PARENT 1441)
  (:NOT_CHILD_WINDOW 1442)
  (:INVALID_GW_COMMAND 1443)
  (:INVALID_THREAD_ID 1444)
  (:NON_MDICHILD_WINDOW 1445)
  (:POPUP_ALREADY_ACTIVE 1446)
  (:NO_SCROLLBARS 1447)
  (:INVALID_SCROLLBAR_RANGE 1448)
  (:INVALID_SHOWWIN_COMMAND 1449)
  (:NO_SYSTEM_RESOURCES 1450)
  (:NONPAGED_SYSTEM_RESOURCES 1451)
  (:PAGED_SYSTEM_RESOURCES 1452)
  (:WORKING_SET_QUOTA 1453)
  (:PAGEFILE_QUOTA 1454)
  (:COMMITMENT_LIMIT 1455)
  (:MENU_ITEM_NOT_FOUND 1456)
  (:INVALID_KEYBOARD_HANDLE 1457)
  (:HOOK_TYPE_NOT_ALLOWED 1458)
  (:REQUIRES_INTERACTIVE_WINDOWSTATION 1459)
  (:TIMEOUT 1460)
  (:INVALID_MONITOR_HANDLE 1461)
  (:EVENTLOG_FILE_CORRUPT 1500)
  (:EVENTLOG_CANT_START 1501)
  (:LOG_FILE_FULL 1502)
  (:EVENTLOG_FILE_CHANGED 1503)
  (:INSTALL_SERVICE_FAILURE 1601)
  (:INSTALL_USEREXIT 1602)
  (:INSTALL_FAILURE 1603)
  (:INSTALL_SUSPEND 1604)
  (:UNKNOWN_PRODUCT 1605)
  (:UNKNOWN_FEATURE 1606)
  (:UNKNOWN_COMPONENT 1607)
  (:UNKNOWN_PROPERTY 1608)
  (:INVALID_HANDLE_STATE 1609)
  (:BAD_CONFIGURATION 1610)
  (:INDEX_ABSENT 1611)
  (:INSTALL_SOURCE_ABSENT 1612)
  (:INSTALL_PACKAGE_VERSION 1613)
  (:PRODUCT_UNINSTALLED 1614)
  (:BAD_QUERY_SYNTAX 1615)
  (:INVALID_FIELD 1616)
  (:DEVICE_REMOVED 1617)
  (:INSTALL_ALREADY_RUNNING 1618)
  (:INSTALL_PACKAGE_OPEN_FAILED 1619)
  (:INSTALL_PACKAGE_INVALID 1620)
  (:INSTALL_UI_FAILURE 1621)
  (:INSTALL_LOG_FAILURE 1622)
  (:INSTALL_LANGUAGE_UNSUPPORTED 1623)
  (:INSTALL_TRANSFORM_FAILURE 1624)
  (:INSTALL_PACKAGE_REJECTED 1625)
  (:FUNCTION_NOT_CALLED 1626)
  (:FUNCTION_FAILED 1627)
  (:INVALID_TABLE 1628)
  (:DATATYPE_MISMATCH 1629)
  (:UNSUPPORTED_TYPE 1630)
  (:CREATE_FAILED 1631)
  (:INSTALL_TEMP_UNWRITABLE 1632)
  (:INSTALL_PLATFORM_UNSUPPORTED 1633)
  (:INSTALL_NOTUSED 1634)
  (:PATCH_PACKAGE_OPEN_FAILED 1635)
  (:PATCH_PACKAGE_INVALID 1636)
  (:PATCH_PACKAGE_UNSUPPORTED 1637)
  (:PRODUCT_VERSION 1638)
  (:INVALID_COMMAND_LINE 1639)
  (:INSTALL_REMOTE_DISALLOWED 1640)
  (:SUCCESS_REBOOT_INITIATED 1641)
  (:PATCH_TARGET_NOT_FOUND 1642)
  (:PATCH_PACKAGE_REJECTED 1643)
  (:INSTALL_TRANSFORM_REJECTED 1644)
  (:INSTALL_REMOTE_PROHIBITED 1645)
  (:RPC_S_INVALID_STRING_BINDING 1700)
  (:RPC_S_WRONG_KIND_OF_BINDING 1701)
  (:RPC_S_INVALID_BINDING 1702)
  (:RPC_S_PROTSEQ_NOT_SUPPORTED 1703)
  (:RPC_S_INVALID_RPC_PROTSEQ 1704)
  (:RPC_S_INVALID_STRING_UUID 1705)
  (:RPC_S_INVALID_ENDPOINT_FORMAT 1706)
  (:RPC_S_INVALID_NET_ADDR 1707)
  (:RPC_S_NO_ENDPOINT_FOUND 1708)
  (:RPC_S_INVALID_TIMEOUT 1709)
  (:RPC_S_OBJECT_NOT_FOUND 1710)
  (:RPC_S_ALREADY_REGISTERED 1711)
  (:RPC_S_TYPE_ALREADY_REGISTERED 1712)
  (:RPC_S_ALREADY_LISTENING 1713)
  (:RPC_S_NO_PROTSEQS_REGISTERED 1714)
  (:RPC_S_NOT_LISTENING 1715)
  (:RPC_S_UNKNOWN_MGR_TYPE 1716)
  (:RPC_S_UNKNOWN_IF 1717)
  (:RPC_S_NO_BINDINGS 1718)
  (:RPC_S_NO_PROTSEQS 1719)
  (:RPC_S_CANT_CREATE_ENDPOINT 1720)
  (:RPC_S_OUT_OF_RESOURCES 1721)
  (:RPC_S_SERVER_UNAVAILABLE 1722)
  (:RPC_S_SERVER_TOO_BUSY 1723)
  (:RPC_S_INVALID_NETWORK_OPTIONS 1724)
  (:RPC_S_NO_CALL_ACTIVE 1725)
  (:RPC_S_CALL_FAILED 1726)
  (:RPC_S_CALL_FAILED_DNE 1727)
  (:RPC_S_PROTOCOL_ERROR 1728)
  (:RPC_S_UNSUPPORTED_TRANS_SYN 1730)
  (:RPC_S_UNSUPPORTED_TYPE 1732)
  (:RPC_S_INVALID_TAG 1733)
  (:RPC_S_INVALID_BOUND 1734)
  (:RPC_S_NO_ENTRY_NAME 1735)
  (:RPC_S_INVALID_NAME_SYNTAX 1736)
  (:RPC_S_UNSUPPORTED_NAME_SYNTAX 1737)
  (:RPC_S_UUID_NO_ADDRESS 1739)
  (:RPC_S_DUPLICATE_ENDPOINT 1740)
  (:RPC_S_UNKNOWN_AUTHN_TYPE 1741)
  (:RPC_S_MAX_CALLS_TOO_SMALL 1742)
  (:RPC_S_STRING_TOO_LONG 1743)
  (:RPC_S_PROTSEQ_NOT_FOUND 1744)
  (:RPC_S_PROCNUM_OUT_OF_RANGE 1745)
  (:RPC_S_BINDING_HAS_NO_AUTH 1746)
  (:RPC_S_UNKNOWN_AUTHN_SERVICE 1747)
  (:RPC_S_UNKNOWN_AUTHN_LEVEL 1748)
  (:RPC_S_INVALID_AUTH_IDENTITY 1749)
  (:RPC_S_UNKNOWN_AUTHZ_SERVICE 1750)
  (:EPT_S_INVALID_ENTRY 1751)
  (:EPT_S_CANT_PERFORM_OP 1752)
  (:EPT_S_NOT_REGISTERED 1753)
  (:RPC_S_NOTHING_TO_EXPORT 1754)
  (:RPC_S_INCOMPLETE_NAME 1755)
  (:RPC_S_INVALID_VERS_OPTION 1756)
  (:RPC_S_NO_MORE_MEMBERS 1757)
  (:RPC_S_NOT_ALL_OBJS_UNEXPORTED 1758)
  (:RPC_S_INTERFACE_NOT_FOUND 1759)
  (:RPC_S_ENTRY_ALREADY_EXISTS 1760)
  (:RPC_S_ENTRY_NOT_FOUND 1761)
  (:RPC_S_NAME_SERVICE_UNAVAILABLE 1762)
  (:RPC_S_INVALID_NAF_ID 1763)
  (:RPC_S_CANNOT_SUPPORT 1764)
  (:RPC_S_NO_CONTEXT_AVAILABLE 1765)
  (:RPC_S_INTERNAL_ERROR 1766)
  (:RPC_S_ZERO_DIVIDE 1767)
  (:RPC_S_ADDRESS_ERROR 1768)
  (:RPC_S_FP_DIV_ZERO 1769)
  (:RPC_S_FP_UNDERFLOW 1770)
  (:RPC_S_FP_OVERFLOW 1771)
  (:RPC_X_NO_MORE_ENTRIES 1772)
  (:RPC_X_SS_CHAR_TRANS_OPEN_FAIL 1773)
  (:RPC_X_SS_CHAR_TRANS_SHORT_FILE 1774)
  (:RPC_X_SS_IN_NULL_CONTEXT 1775)
  (:RPC_X_SS_CONTEXT_DAMAGED 1777)
  (:RPC_X_SS_HANDLES_MISMATCH 1778)
  (:RPC_X_SS_CANNOT_GET_CALL_HANDLE 1779)
  (:RPC_X_NULL_REF_POINTER 1780)
  (:RPC_X_ENUM_VALUE_OUT_OF_RANGE 1781)
  (:RPC_X_BYTE_COUNT_TOO_SMALL 1782)
  (:RPC_X_BAD_STUB_DATA 1783)
  (:INVALID_USER_BUFFER 1784)
  (:UNRECOGNIZED_MEDIA 1785)
  (:NO_TRUST_LSA_SECRET 1786)
  (:NO_TRUST_SAM_ACCOUNT 1787)
  (:TRUSTED_DOMAIN_FAILURE 1788)
  (:TRUSTED_RELATIONSHIP_FAILURE 1789)
  (:TRUST_FAILURE 1790)
  (:RPC_S_CALL_IN_PROGRESS 1791)
  (:NETLOGON_NOT_STARTED 1792)
  (:ACCOUNT_EXPIRED 1793)
  (:REDIRECTOR_HAS_OPEN_HANDLES 1794)
  (:PRINTER_DRIVER_ALREADY_INSTALLED 1795)
  (:UNKNOWN_PORT 1796)
  (:UNKNOWN_PRINTER_DRIVER 1797)
  (:UNKNOWN_PRINTPROCESSOR 1798)
  (:INVALID_SEPARATOR_FILE 1799)
  (:INVALID_PRIORITY 1800)
  (:INVALID_PRINTER_NAME 1801)
  (:PRINTER_ALREADY_EXISTS 1802)
  (:INVALID_PRINTER_COMMAND 1803)
  (:INVALID_DATATYPE 1804)
  (:INVALID_ENVIRONMENT 1805)
  (:RPC_S_NO_MORE_BINDINGS 1806)
  (:NOLOGON_INTERDOMAIN_TRUST_ACCOUNT 1807)
  (:NOLOGON_WORKSTATION_TRUST_ACCOUNT 1808)
  (:NOLOGON_SERVER_TRUST_ACCOUNT 1809)
  (:DOMAIN_TRUST_INCONSISTENT 1810)
  (:SERVER_HAS_OPEN_HANDLES 1811)
  (:RESOURCE_DATA_NOT_FOUND 1812)
  (:RESOURCE_TYPE_NOT_FOUND 1813)
  (:RESOURCE_NAME_NOT_FOUND 1814)
  (:RESOURCE_LANG_NOT_FOUND 1815)
  (:NOT_ENOUGH_QUOTA 1816)
  (:RPC_S_NO_INTERFACES 1817)
  (:RPC_S_CALL_CANCELLED 1818)
  (:RPC_S_BINDING_INCOMPLETE 1819)
  (:RPC_S_COMM_FAILURE 1820)
  (:RPC_S_UNSUPPORTED_AUTHN_LEVEL 1821)
  (:RPC_S_NO_PRINC_NAME 1822)
  (:RPC_S_NOT_RPC_ERROR 1823)
  (:RPC_S_UUID_LOCAL_ONLY 1824)
  (:RPC_S_SEC_PKG_ERROR 1825)
  (:RPC_S_NOT_CANCELLED 1826)
  (:RPC_X_INVALID_ES_ACTION 1827)
  (:RPC_X_WRONG_ES_VERSION 1828)
  (:RPC_X_WRONG_STUB_VERSION 1829)
  (:RPC_X_INVALID_PIPE_OBJECT 1830)
  (:RPC_X_WRONG_PIPE_ORDER 1831)
  (:RPC_X_WRONG_PIPE_VERSION 1832)
  (:RPC_S_GROUP_MEMBER_NOT_FOUND 1898)
  (:EPT_S_CANT_CREATE 1899)
  (:RPC_S_INVALID_OBJECT 1900)
  (:INVALID_TIME 1901)
  (:INVALID_FORM_NAME 1902)
  (:INVALID_FORM_SIZE 1903)
  (:ALREADY_WAITING 1904)
  (:PRINTER_DELETED 1905)
  (:INVALID_PRINTER_STATE 1906)
  (:PASSWORD_MUST_CHANGE 1907)
  (:DOMAIN_CONTROLLER_NOT_FOUND 1908)
  (:ACCOUNT_LOCKED_OUT 1909)
  (:OR_INVALID_OXID 1910)
  (:OR_INVALID_OID 1911)
  (:OR_INVALID_SET 1912)
  (:RPC_S_SEND_INCOMPLETE 1913)
  (:RPC_S_INVALID_ASYNC_HANDLE 1914)
  (:RPC_S_INVALID_ASYNC_CALL 1915)
  (:RPC_X_PIPE_CLOSED 1916)
  (:RPC_X_PIPE_DISCIPLINE_ERROR 1917)
  (:RPC_X_PIPE_EMPTY 1918)
  (:NO_SITENAME 1919)
  (:CANT_ACCESS_FILE 1920)
  (:CANT_RESOLVE_FILENAME 1921)
  (:RPC_S_ENTRY_TYPE_MISMATCH 1922)
  (:RPC_S_NOT_ALL_OBJS_EXPORTED 1923)
  (:RPC_S_INTERFACE_NOT_EXPORTED 1924)
  (:RPC_S_PROFILE_NOT_ADDED 1925)
  (:RPC_S_PRF_ELT_NOT_ADDED 1926)
  (:RPC_S_PRF_ELT_NOT_REMOVED 1927)
  (:RPC_S_GRP_ELT_NOT_ADDED 1928)
  (:RPC_S_GRP_ELT_NOT_REMOVED 1929)
  (:KM_DRIVER_BLOCKED 1930)
  (:CONTEXT_EXPIRED 1931)
  (:PER_USER_TRUST_QUOTA_EXCEEDED 1932)
  (:ALL_USER_TRUST_QUOTA_EXCEEDED 1933)
  (:USER_DELETE_TRUST_QUOTA_EXCEEDED 1934)
  (:INVALID_PIXEL_FORMAT 2000)
  (:BAD_DRIVER 2001)
  (:INVALID_WINDOW_STYLE 2002)
  (:METAFILE_NOT_SUPPORTED 2003)
  (:TRANSFORM_NOT_SUPPORTED 2004)
  (:CLIPPING_NOT_SUPPORTED 2005)
  (:INVALID_CMM 2010)
  (:INVALID_PROFILE 2011)
  (:TAG_NOT_FOUND 2012)
  (:TAG_NOT_PRESENT 2013)
  (:DUPLICATE_TAG 2014)
  (:PROFILE_NOT_ASSOCIATED_WITH_DEVICE 2015)
  (:PROFILE_NOT_FOUND 2016)
  (:INVALID_COLORSPACE 2017)
  (:ICM_NOT_ENABLED 2018)
  (:DELETING_ICM_XFORM 2019)
  (:INVALID_TRANSFORM 2020)
  (:COLORSPACE_MISMATCH 2021)
  (:INVALID_COLORINDEX 2022)
  (:CONNECTED_OTHER_PASSWORD 2108)
  (:CONNECTED_OTHER_PASSWORD_DEFAULT 2109)
  (:BAD_USERNAME 2202)
  (:NOT_CONNECTED 2250)
  (:OPEN_FILES 2401)
  (:ACTIVE_CONNECTIONS 2402)
  (:DEVICE_IN_USE 2404)
  (:UNKNOWN_PRINT_MONITOR 3000)
  (:PRINTER_DRIVER_IN_USE 3001)
  (:SPOOL_FILE_NOT_FOUND 3002)
  (:SPL_NO_STARTDOC 3003)
  (:SPL_NO_ADDJOB 3004)
  (:PRINT_PROCESSOR_ALREADY_INSTALLED 3005)
  (:PRINT_MONITOR_ALREADY_INSTALLED 3006)
  (:INVALID_PRINT_MONITOR 3007)
  (:PRINT_MONITOR_IN_USE 3008)
  (:PRINTER_HAS_JOBS_QUEUED 3009)
  (:SUCCESS_REBOOT_REQUIRED 3010)
  (:SUCCESS_RESTART_REQUIRED 3011)
  (:PRINTER_NOT_FOUND 3012)
  (:PRINTER_DRIVER_WARNED 3013)
  (:PRINTER_DRIVER_BLOCKED 3014)
  (:WINS_INTERNAL 4000)
  (:CAN_NOT_DEL_LOCAL_WINS 4001)
  (:STATIC_INIT 4002)
  (:INC_BACKUP 4003)
  (:FULL_BACKUP 4004)
  (:REC_NON_EXISTENT 4005)
  (:RPL_NOT_ALLOWED 4006)
  (:DHCP_ADDRESS_CONFLICT 4100)
  (:WMI_GUID_NOT_FOUND 4200)
  (:WMI_INSTANCE_NOT_FOUND 4201)
  (:WMI_ITEMID_NOT_FOUND 4202)
  (:WMI_TRY_AGAIN 4203)
  (:WMI_DP_NOT_FOUND 4204)
  (:WMI_UNRESOLVED_INSTANCE_REF 4205)
  (:WMI_ALREADY_ENABLED 4206)
  (:WMI_GUID_DISCONNECTED 4207)
  (:WMI_SERVER_UNAVAILABLE 4208)
  (:WMI_DP_FAILED 4209)
  (:WMI_INVALID_MOF 4210)
  (:WMI_INVALID_REGINFO 4211)
  (:WMI_ALREADY_DISABLED 4212)
  (:WMI_READ_ONLY 4213)
  (:WMI_SET_FAILURE 4214)
  (:INVALID_MEDIA 4300)
  (:INVALID_LIBRARY 4301)
  (:INVALID_MEDIA_POOL 4302)
  (:DRIVE_MEDIA_MISMATCH 4303)
  (:MEDIA_OFFLINE 4304)
  (:LIBRARY_OFFLINE 4305)
  (:EMPTY 4306)
  (:NOT_EMPTY 4307)
  (:MEDIA_UNAVAILABLE 4308)
  (:RESOURCE_DISABLED 4309)
  (:INVALID_CLEANER 4310)
  (:UNABLE_TO_CLEAN 4311)
  (:OBJECT_NOT_FOUND 4312)
  (:DATABASE_FAILURE 4313)
  (:DATABASE_FULL 4314)
  (:MEDIA_INCOMPATIBLE 4315)
  (:RESOURCE_NOT_PRESENT 4316)
  (:INVALID_OPERATION 4317)
  (:MEDIA_NOT_AVAILABLE 4318)
  (:DEVICE_NOT_AVAILABLE 4319)
  (:REQUEST_REFUSED 4320)
  (:INVALID_DRIVE_OBJECT 4321)
  (:LIBRARY_FULL 4322)
  (:MEDIUM_NOT_ACCESSIBLE 4323)
  (:UNABLE_TO_LOAD_MEDIUM 4324)
  (:UNABLE_TO_INVENTORY_DRIVE 4325)
  (:UNABLE_TO_INVENTORY_SLOT 4326)
  (:UNABLE_TO_INVENTORY_TRANSPORT 4327)
  (:TRANSPORT_FULL 4328)
  (:CONTROLLING_IEPORT 4329)
  (:UNABLE_TO_EJECT_MOUNTED_MEDIA 4330)
  (:CLEANER_SLOT_SET 4331)
  (:CLEANER_SLOT_NOT_SET 4332)
  (:CLEANER_CARTRIDGE_SPENT 4333)
  (:UNEXPECTED_OMID 4334)
  (:CANT_DELETE_LAST_ITEM 4335)
  (:MESSAGE_EXCEEDS_MAX_SIZE 4336)
  (:VOLUME_CONTAINS_SYS_FILES 4337)
  (:INDIGENOUS_TYPE 4338)
  (:NO_SUPPORTING_DRIVES 4339)
  (:CLEANER_CARTRIDGE_INSTALLED 4340)
  (:FILE_OFFLINE 4350)
  (:REMOTE_STORAGE_NOT_ACTIVE 4351)
  (:REMOTE_STORAGE_MEDIA_ERROR 4352)
  (:NOT_A_REPARSE_POINT 4390)
  (:REPARSE_ATTRIBUTE_CONFLICT 4391)
  (:INVALID_REPARSE_DATA 4392)
  (:REPARSE_TAG_INVALID 4393)
  (:REPARSE_TAG_MISMATCH 4394)
  (:VOLUME_NOT_SIS_ENABLED 4500)
  (:DEPENDENT_RESOURCE_EXISTS 5001)
  (:DEPENDENCY_NOT_FOUND 5002)
  (:DEPENDENCY_ALREADY_EXISTS 5003)
  (:RESOURCE_NOT_ONLINE 5004)
  (:HOST_NODE_NOT_AVAILABLE 5005)
  (:RESOURCE_NOT_AVAILABLE 5006)
  (:RESOURCE_NOT_FOUND 5007)
  (:SHUTDOWN_CLUSTER 5008)
  (:CANT_EVICT_ACTIVE_NODE 5009)
  (:OBJECT_ALREADY_EXISTS 5010)
  (:OBJECT_IN_LIST 5011)
  (:GROUP_NOT_AVAILABLE 5012)
  (:GROUP_NOT_FOUND 5013)
  (:GROUP_NOT_ONLINE 5014)
  (:HOST_NODE_NOT_RESOURCE_OWNER 5015)
  (:HOST_NODE_NOT_GROUP_OWNER 5016)
  (:RESMON_CREATE_FAILED 5017)
  (:RESMON_ONLINE_FAILED 5018)
  (:RESOURCE_ONLINE 5019)
  (:QUORUM_RESOURCE 5020)
  (:NOT_QUORUM_CAPABLE 5021)
  (:CLUSTER_SHUTTING_DOWN 5022)
  (:INVALID_STATE 5023)
  (:RESOURCE_PROPERTIES_STORED 5024)
  (:NOT_QUORUM_CLASS 5025)
  (:CORE_RESOURCE 5026)
  (:QUORUM_RESOURCE_ONLINE_FAILED 5027)
  (:QUORUMLOG_OPEN_FAILED 5028)
  (:CLUSTERLOG_CORRUPT 5029)
  (:CLUSTERLOG_RECORD_EXCEEDS_MAXSIZE 5030)
  (:CLUSTERLOG_EXCEEDS_MAXSIZE 5031)
  (:CLUSTERLOG_CHKPOINT_NOT_FOUND 5032)
  (:CLUSTERLOG_NOT_ENOUGH_SPACE 5033)
  (:QUORUM_OWNER_ALIVE 5034)
  (:NETWORK_NOT_AVAILABLE 5035)
  (:NODE_NOT_AVAILABLE 5036)
  (:ALL_NODES_NOT_AVAILABLE 5037)
  (:RESOURCE_FAILED 5038)
  (:CLUSTER_INVALID_NODE 5039)
  (:CLUSTER_NODE_EXISTS 5040)
  (:CLUSTER_JOIN_IN_PROGRESS 5041)
  (:CLUSTER_NODE_NOT_FOUND 5042)
  (:CLUSTER_LOCAL_NODE_NOT_FOUND 5043)
  (:CLUSTER_NETWORK_EXISTS 5044)
  (:CLUSTER_NETWORK_NOT_FOUND 5045)
  (:CLUSTER_NETINTERFACE_EXISTS 5046)
  (:CLUSTER_NETINTERFACE_NOT_FOUND 5047)
  (:CLUSTER_INVALID_REQUEST 5048)
  (:CLUSTER_INVALID_NETWORK_PROVIDER 5049)
  (:CLUSTER_NODE_DOWN 5050)
  (:CLUSTER_NODE_UNREACHABLE 5051)
  (:CLUSTER_NODE_NOT_MEMBER 5052)
  (:CLUSTER_JOIN_NOT_IN_PROGRESS 5053)
  (:CLUSTER_INVALID_NETWORK 5054)
  (:CLUSTER_NODE_UP 5056)
  (:CLUSTER_IPADDR_IN_USE 5057)
  (:CLUSTER_NODE_NOT_PAUSED 5058)
  (:CLUSTER_NO_SECURITY_CONTEXT 5059)
  (:CLUSTER_NETWORK_NOT_INTERNAL 5060)
  (:CLUSTER_NODE_ALREADY_UP 5061)
  (:CLUSTER_NODE_ALREADY_DOWN 5062)
  (:CLUSTER_NETWORK_ALREADY_ONLINE 5063)
  (:CLUSTER_NETWORK_ALREADY_OFFLINE 5064)
  (:CLUSTER_NODE_ALREADY_MEMBER 5065)
  (:CLUSTER_LAST_INTERNAL_NETWORK 5066)
  (:CLUSTER_NETWORK_HAS_DEPENDENTS 5067)
  (:INVALID_OPERATION_ON_QUORUM 5068)
  (:DEPENDENCY_NOT_ALLOWED 5069)
  (:CLUSTER_NODE_PAUSED 5070)
  (:NODE_CANT_HOST_RESOURCE 5071)
  (:CLUSTER_NODE_NOT_READY 5072)
  (:CLUSTER_NODE_SHUTTING_DOWN 5073)
  (:CLUSTER_JOIN_ABORTED 5074)
  (:CLUSTER_INCOMPATIBLE_VERSIONS 5075)
  (:CLUSTER_MAXNUM_OF_RESOURCES_EXCEEDED 5076)
  (:CLUSTER_SYSTEM_CONFIG_CHANGED 5077)
  (:CLUSTER_RESOURCE_TYPE_NOT_FOUND 5078)
  (:CLUSTER_RESTYPE_NOT_SUPPORTED 5079)
  (:CLUSTER_RESNAME_NOT_FOUND 5080)
  (:CLUSTER_NO_RPC_PACKAGES_REGISTERED 5081)
  (:CLUSTER_OWNER_NOT_IN_PREFLIST 5082)
  (:CLUSTER_DATABASE_SEQMISMATCH 5083)
  (:RESMON_INVALID_STATE 5084)
  (:CLUSTER_GUM_NOT_LOCKER 5085)
  (:QUORUM_DISK_NOT_FOUND 5086)
  (:DATABASE_BACKUP_CORRUPT 5087)
  (:CLUSTER_NODE_ALREADY_HAS_DFS_ROOT 5088)
  (:RESOURCE_PROPERTY_UNCHANGEABLE 5089)
  (:CLUSTER_MEMBERSHIP_INVALID_STATE 5890)
  (:CLUSTER_QUORUMLOG_NOT_FOUND 5891)
  (:CLUSTER_MEMBERSHIP_HALT 5892)
  (:CLUSTER_INSTANCE_ID_MISMATCH 5893)
  (:CLUSTER_NETWORK_NOT_FOUND_FOR_IP 5894)
  (:CLUSTER_PROPERTY_DATA_TYPE_MISMATCH 5895)
  (:CLUSTER_EVICT_WITHOUT_CLEANUP 5896)
  (:CLUSTER_PARAMETER_MISMATCH 5897)
  (:NODE_CANNOT_BE_CLUSTERED 5898)
  (:CLUSTER_WRONG_OS_VERSION 5899)
  (:CLUSTER_CANT_CREATE_DUP_CLUSTER_NAME 5900)
  (:CLUSCFG_ALREADY_COMMITTED 5901)
  (:CLUSCFG_ROLLBACK_FAILED 5902)
  (:CLUSCFG_SYSTEM_DISK_DRIVE_LETTER_CONFLICT 5903)
  (:CLUSTER_OLD_VERSION 5904)
  (:CLUSTER_MISMATCHED_COMPUTER_ACCT_NAME 5905)
  (:ENCRYPTION_FAILED 6000)
  (:DECRYPTION_FAILED 6001)
  (:FILE_ENCRYPTED 6002)
  (:NO_RECOVERY_POLICY 6003)
  (:NO_EFS 6004)
  (:WRONG_EFS 6005)
  (:NO_USER_KEYS 6006)
  (:FILE_NOT_ENCRYPTED 6007)
  (:NOT_EXPORT_FORMAT 6008)
  (:FILE_READ_ONLY 6009)
  (:DIR_EFS_DISALLOWED 6010)
  (:EFS_SERVER_NOT_TRUSTED 6011)
  (:BAD_RECOVERY_POLICY 6012)
  (:EFS_ALG_BLOB_TOO_BIG 6013)
  (:VOLUME_NOT_SUPPORT_EFS 6014)
  (:EFS_DISABLED 6015)
  (:EFS_VERSION_NOT_SUPPORT 6016)
  (:NO_BROWSER_SERVERS_FOUND 6118)
  (:SCHED_E_SERVICE_NOT_LOCALSYSTEM 6200)
  (:CTX_WINSTATION_NAME_INVALID 7001)
  (:CTX_INVALID_PD 7002)
  (:CTX_PD_NOT_FOUND 7003)
  (:CTX_WD_NOT_FOUND 7004)
  (:CTX_CANNOT_MAKE_EVENTLOG_ENTRY 7005)
  (:CTX_SERVICE_NAME_COLLISION 7006)
  (:CTX_CLOSE_PENDING 7007)
  (:CTX_NO_OUTBUF 7008)
  (:CTX_MODEM_INF_NOT_FOUND 7009)
  (:CTX_INVALID_MODEMNAME 7010)
  (:CTX_MODEM_RESPONSE_ERROR 7011)
  (:CTX_MODEM_RESPONSE_TIMEOUT 7012)
  (:CTX_MODEM_RESPONSE_NO_CARRIER 7013)
  (:CTX_MODEM_RESPONSE_NO_DIALTONE 7014)
  (:CTX_MODEM_RESPONSE_BUSY 7015)
  (:CTX_MODEM_RESPONSE_VOICE 7016)
  (:CTX_TD_ERROR 7017)
  (:CTX_WINSTATION_NOT_FOUND 7022)
  (:CTX_WINSTATION_ALREADY_EXISTS 7023)
  (:CTX_WINSTATION_BUSY 7024)
  (:CTX_BAD_VIDEO_MODE 7025)
  (:CTX_GRAPHICS_INVALID 7035)
  (:CTX_LOGON_DISABLED 7037)
  (:CTX_NOT_CONSOLE 7038)
  (:CTX_CLIENT_QUERY_TIMEOUT 7040)
  (:CTX_CONSOLE_DISCONNECT 7041)
  (:CTX_CONSOLE_CONNECT 7042)
  (:CTX_SHADOW_DENIED 7044)
  (:CTX_WINSTATION_ACCESS_DENIED 7045)
  (:CTX_INVALID_WD 7049)
  (:CTX_SHADOW_INVALID 7050)
  (:CTX_SHADOW_DISABLED 7051)
  (:CTX_CLIENT_LICENSE_IN_USE 7052)
  (:CTX_CLIENT_LICENSE_NOT_SET 7053)
  (:CTX_LICENSE_NOT_AVAILABLE 7054)
  (:CTX_LICENSE_CLIENT_INVALID 7055)
  (:CTX_LICENSE_EXPIRED 7056)
  (:CTX_SHADOW_NOT_RUNNING 7057)
  (:CTX_SHADOW_ENDED_BY_MODE_CHANGE 7058)
  (:ACTIVATION_COUNT_EXCEEDED 7059)
  (:FRS_ERR_INVALID_API_SEQUENCE 8001)
  (:FRS_ERR_STARTING_SERVICE 8002)
  (:FRS_ERR_STOPPING_SERVICE 8003)
  (:FRS_ERR_INTERNAL_API 8004)
  (:FRS_ERR_INTERNAL 8005)
  (:FRS_ERR_SERVICE_COMM 8006)
  (:FRS_ERR_INSUFFICIENT_PRIV 8007)
  (:FRS_ERR_AUTHENTICATION 8008)
  (:FRS_ERR_PARENT_INSUFFICIENT_PRIV 8009)
  (:FRS_ERR_PARENT_AUTHENTICATION 8010)
  (:FRS_ERR_CHILD_TO_PARENT_COMM 8011)
  (:FRS_ERR_PARENT_TO_CHILD_COMM 8012)
  (:FRS_ERR_SYSVOL_POPULATE 8013)
  (:FRS_ERR_SYSVOL_POPULATE_TIMEOUT 8014)
  (:FRS_ERR_SYSVOL_IS_BUSY 8015)
  (:FRS_ERR_SYSVOL_DEMOTE 8016)
  (:FRS_ERR_INVALID_SERVICE_PARAMETER 8017)
  (:DS_NOT_INSTALLED 8200)
  (:DS_MEMBERSHIP_EVALUATED_LOCALLY 8201)
  (:DS_NO_ATTRIBUTE_OR_VALUE 8202)
  (:DS_INVALID_ATTRIBUTE_SYNTAX 8203)
  (:DS_ATTRIBUTE_TYPE_UNDEFINED 8204)
  (:DS_ATTRIBUTE_OR_VALUE_EXISTS 8205)
  (:DS_BUSY 8206)
  (:DS_UNAVAILABLE 8207)
  (:DS_NO_RIDS_ALLOCATED 8208)
  (:DS_NO_MORE_RIDS 8209)
  (:DS_INCORRECT_ROLE_OWNER 8210)
  (:DS_RIDMGR_INIT_ERROR 8211)
  (:DS_OBJ_CLASS_VIOLATION 8212)
  (:DS_CANT_ON_NON_LEAF 8213)
  (:DS_CANT_ON_RDN 8214)
  (:DS_CANT_MOD_OBJ_CLASS 8215)
  (:DS_CROSS_DOM_MOVE_ERROR 8216)
  (:DS_GC_NOT_AVAILABLE 8217)
  (:SHARED_POLICY 8218)
  (:POLICY_OBJECT_NOT_FOUND 8219)
  (:POLICY_ONLY_IN_DS 8220)
  (:PROMOTION_ACTIVE 8221)
  (:NO_PROMOTION_ACTIVE 8222)
  (:DS_OPERATIONS_ERROR 8224)
  (:DS_PROTOCOL_ERROR 8225)
  (:DS_TIMELIMIT_EXCEEDED 8226)
  (:DS_SIZELIMIT_EXCEEDED 8227)
  (:DS_ADMIN_LIMIT_EXCEEDED 8228)
  (:DS_COMPARE_FALSE 8229)
  (:DS_COMPARE_TRUE 8230)
  (:DS_AUTH_METHOD_NOT_SUPPORTED 8231)
  (:DS_STRONG_AUTH_REQUIRED 8232)
  (:DS_INAPPROPRIATE_AUTH 8233)
  (:DS_AUTH_UNKNOWN 8234)
  (:DS_REFERRAL 8235)
  (:DS_UNAVAILABLE_CRIT_EXTENSION 8236)
  (:DS_CONFIDENTIALITY_REQUIRED 8237)
  (:DS_INAPPROPRIATE_MATCHING 8238)
  (:DS_CONSTRAINT_VIOLATION 8239)
  (:DS_NO_SUCH_OBJECT 8240)
  (:DS_ALIAS_PROBLEM 8241)
  (:DS_INVALID_DN_SYNTAX 8242)
  (:DS_IS_LEAF 8243)
  (:DS_ALIAS_DEREF_PROBLEM 8244)
  (:DS_UNWILLING_TO_PERFORM 8245)
  (:DS_LOOP_DETECT 8246)
  (:DS_NAMING_VIOLATION 8247)
  (:DS_OBJECT_RESULTS_TOO_LARGE 8248)
  (:DS_AFFECTS_MULTIPLE_DSAS 8249)
  (:DS_SERVER_DOWN 8250)
  (:DS_LOCAL_ERROR 8251)
  (:DS_ENCODING_ERROR 8252)
  (:DS_DECODING_ERROR 8253)
  (:DS_FILTER_UNKNOWN 8254)
  (:DS_PARAM_ERROR 8255)
  (:DS_NOT_SUPPORTED 8256)
  (:DS_NO_RESULTS_RETURNED 8257)
  (:DS_CONTROL_NOT_FOUND 8258)
  (:DS_CLIENT_LOOP 8259)
  (:DS_REFERRAL_LIMIT_EXCEEDED 8260)
  (:DS_SORT_CONTROL_MISSING 8261)
  (:DS_OFFSET_RANGE_ERROR 8262)
  (:DS_ROOT_MUST_BE_NC 8301)
  (:DS_ADD_REPLICA_INHIBITED 8302)
  (:DS_ATT_NOT_DEF_IN_SCHEMA 8303)
  (:DS_MAX_OBJ_SIZE_EXCEEDED 8304)
  (:DS_OBJ_STRING_NAME_EXISTS 8305)
  (:DS_NO_RDN_DEFINED_IN_SCHEMA 8306)
  (:DS_RDN_DOESNT_MATCH_SCHEMA 8307)
  (:DS_NO_REQUESTED_ATTS_FOUND 8308)
  (:DS_USER_BUFFER_TO_SMALL 8309)
  (:DS_ATT_IS_NOT_ON_OBJ 8310)
  (:DS_ILLEGAL_MOD_OPERATION 8311)
  (:DS_OBJ_TOO_LARGE 8312)
  (:DS_BAD_INSTANCE_TYPE 8313)
  (:DS_MASTERDSA_REQUIRED 8314)
  (:DS_OBJECT_CLASS_REQUIRED 8315)
  (:DS_MISSING_REQUIRED_ATT 8316)
  (:DS_ATT_NOT_DEF_FOR_CLASS 8317)
  (:DS_ATT_ALREADY_EXISTS 8318)
  (:DS_CANT_ADD_ATT_VALUES 8320)
  (:DS_SINGLE_VALUE_CONSTRAINT 8321)
  (:DS_RANGE_CONSTRAINT 8322)
  (:DS_ATT_VAL_ALREADY_EXISTS 8323)
  (:DS_CANT_REM_MISSING_ATT 8324)
  (:DS_CANT_REM_MISSING_ATT_VAL 8325)
  (:DS_ROOT_CANT_BE_SUBREF 8326)
  (:DS_NO_CHAINING 8327)
  (:DS_NO_CHAINED_EVAL 8328)
  (:DS_NO_PARENT_OBJECT 8329)
  (:DS_PARENT_IS_AN_ALIAS 8330)
  (:DS_CANT_MIX_MASTER_AND_REPS 8331)
  (:DS_CHILDREN_EXIST 8332)
  (:DS_OBJ_NOT_FOUND 8333)
  (:DS_ALIASED_OBJ_MISSING 8334)
  (:DS_BAD_NAME_SYNTAX 8335)
  (:DS_ALIAS_POINTS_TO_ALIAS 8336)
  (:DS_CANT_DEREF_ALIAS 8337)
  (:DS_OUT_OF_SCOPE 8338)
  (:DS_OBJECT_BEING_REMOVED 8339)
  (:DS_CANT_DELETE_DSA_OBJ 8340)
  (:DS_GENERIC_ERROR 8341)
  (:DS_DSA_MUST_BE_INT_MASTER 8342)
  (:DS_CLASS_NOT_DSA 8343)
  (:DS_INSUFF_ACCESS_RIGHTS 8344)
  (:DS_ILLEGAL_SUPERIOR 8345)
  (:DS_ATTRIBUTE_OWNED_BY_SAM 8346)
  (:DS_NAME_TOO_MANY_PARTS 8347)
  (:DS_NAME_TOO_LONG 8348)
  (:DS_NAME_VALUE_TOO_LONG 8349)
  (:DS_NAME_UNPARSEABLE 8350)
  (:DS_NAME_TYPE_UNKNOWN 8351)
  (:DS_NOT_AN_OBJECT 8352)
  (:DS_SEC_DESC_TOO_SHORT 8353)
  (:DS_SEC_DESC_INVALID 8354)
  (:DS_NO_DELETED_NAME 8355)
  (:DS_SUBREF_MUST_HAVE_PARENT 8356)
  (:DS_NCNAME_MUST_BE_NC 8357)
  (:DS_CANT_ADD_SYSTEM_ONLY 8358)
  (:DS_CLASS_MUST_BE_CONCRETE 8359)
  (:DS_INVALID_DMD 8360)
  (:DS_OBJ_GUID_EXISTS 8361)
  (:DS_NOT_ON_BACKLINK 8362)
  (:DS_NO_CROSSREF_FOR_NC 8363)
  (:DS_SHUTTING_DOWN 8364)
  (:DS_UNKNOWN_OPERATION 8365)
  (:DS_INVALID_ROLE_OWNER 8366)
  (:DS_COULDNT_CONTACT_FSMO 8367)
  (:DS_CROSS_NC_DN_RENAME 8368)
  (:DS_CANT_MOD_SYSTEM_ONLY 8369)
  (:DS_REPLICATOR_ONLY 8370)
  (:DS_OBJ_CLASS_NOT_DEFINED 8371)
  (:DS_OBJ_CLASS_NOT_SUBCLASS 8372)
  (:DS_NAME_REFERENCE_INVALID 8373)
  (:DS_CROSS_REF_EXISTS 8374)
  (:DS_CANT_DEL_MASTER_CROSSREF 8375)
  (:DS_SUBTREE_NOTIFY_NOT_NC_HEAD 8376)
  (:DS_NOTIFY_FILTER_TOO_COMPLEX 8377)
  (:DS_DUP_RDN 8378)
  (:DS_DUP_OID 8379)
  (:DS_DUP_MAPI_ID 8380)
  (:DS_DUP_SCHEMA_ID_GUID 8381)
  (:DS_DUP_LDAP_DISPLAY_NAME 8382)
  (:DS_SEMANTIC_ATT_TEST 8383)
  (:DS_SYNTAX_MISMATCH 8384)
  (:DS_EXISTS_IN_MUST_HAVE 8385)
  (:DS_EXISTS_IN_MAY_HAVE 8386)
  (:DS_NONEXISTENT_MAY_HAVE 8387)
  (:DS_NONEXISTENT_MUST_HAVE 8388)
  (:DS_AUX_CLS_TEST_FAIL 8389)
  (:DS_NONEXISTENT_POSS_SUP 8390)
  (:DS_SUB_CLS_TEST_FAIL 8391)
  (:DS_BAD_RDN_ATT_ID_SYNTAX 8392)
  (:DS_EXISTS_IN_AUX_CLS 8393)
  (:DS_EXISTS_IN_SUB_CLS 8394)
  (:DS_EXISTS_IN_POSS_SUP 8395)
  (:DS_RECALCSCHEMA_FAILED 8396)
  (:DS_TREE_DELETE_NOT_FINISHED 8397)
  (:DS_CANT_DELETE 8398)
  (:DS_ATT_SCHEMA_REQ_ID 8399)
  (:DS_BAD_ATT_SCHEMA_SYNTAX 8400)
  (:DS_CANT_CACHE_ATT 8401)
  (:DS_CANT_CACHE_CLASS 8402)
  (:DS_CANT_REMOVE_ATT_CACHE 8403)
  (:DS_CANT_REMOVE_CLASS_CACHE 8404)
  (:DS_CANT_RETRIEVE_DN 8405)
  (:DS_MISSING_SUPREF 8406)
  (:DS_CANT_RETRIEVE_INSTANCE 8407)
  (:DS_CODE_INCONSISTENCY 8408)
  (:DS_DATABASE_ERROR 8409)
  (:DS_GOVERNSID_MISSING 8410)
  (:DS_MISSING_EXPECTED_ATT 8411)
  (:DS_NCNAME_MISSING_CR_REF 8412)
  (:DS_SECURITY_CHECKING_ERROR 8413)
  (:DS_SCHEMA_NOT_LOADED 8414)
  (:DS_SCHEMA_ALLOC_FAILED 8415)
  (:DS_ATT_SCHEMA_REQ_SYNTAX 8416)
  (:DS_GCVERIFY_ERROR 8417)
  (:DS_DRA_SCHEMA_MISMATCH 8418)
  (:DS_CANT_FIND_DSA_OBJ 8419)
  (:DS_CANT_FIND_EXPECTED_NC 8420)
  (:DS_CANT_FIND_NC_IN_CACHE 8421)
  (:DS_CANT_RETRIEVE_CHILD 8422)
  (:DS_SECURITY_ILLEGAL_MODIFY 8423)
  (:DS_CANT_REPLACE_HIDDEN_REC 8424)
  (:DS_BAD_HIERARCHY_FILE 8425)
  (:DS_BUILD_HIERARCHY_TABLE_FAILED 8426)
  (:DS_CONFIG_PARAM_MISSING 8427)
  (:DS_COUNTING_AB_INDICES_FAILED 8428)
  (:DS_HIERARCHY_TABLE_MALLOC_FAILED 8429)
  (:DS_INTERNAL_FAILURE 8430)
  (:DS_UNKNOWN_ERROR 8431)
  (:DS_ROOT_REQUIRES_CLASS_TOP 8432)
  (:DS_REFUSING_FSMO_ROLES 8433)
  (:DS_MISSING_FSMO_SETTINGS 8434)
  (:DS_UNABLE_TO_SURRENDER_ROLES 8435)
  (:DS_DRA_GENERIC 8436)
  (:DS_DRA_INVALID_PARAMETER 8437)
  (:DS_DRA_BUSY 8438)
  (:DS_DRA_BAD_DN 8439)
  (:DS_DRA_BAD_NC 8440)
  (:DS_DRA_DN_EXISTS 8441)
  (:DS_DRA_INTERNAL_ERROR 8442)
  (:DS_DRA_INCONSISTENT_DIT 8443)
  (:DS_DRA_CONNECTION_FAILED 8444)
  (:DS_DRA_BAD_INSTANCE_TYPE 8445)
  (:DS_DRA_OUT_OF_MEM 8446)
  (:DS_DRA_MAIL_PROBLEM 8447)
  (:DS_DRA_REF_ALREADY_EXISTS 8448)
  (:DS_DRA_REF_NOT_FOUND 8449)
  (:DS_DRA_OBJ_IS_REP_SOURCE 8450)
  (:DS_DRA_DB_ERROR 8451)
  (:DS_DRA_NO_REPLICA 8452)
  (:DS_DRA_ACCESS_DENIED 8453)
  (:DS_DRA_NOT_SUPPORTED 8454)
  (:DS_DRA_RPC_CANCELLED 8455)
  (:DS_DRA_SOURCE_DISABLED 8456)
  (:DS_DRA_SINK_DISABLED 8457)
  (:DS_DRA_NAME_COLLISION 8458)
  (:DS_DRA_SOURCE_REINSTALLED 8459)
  (:DS_DRA_MISSING_PARENT 8460)
  (:DS_DRA_PREEMPTED 8461)
  (:DS_DRA_ABANDON_SYNC 8462)
  (:DS_DRA_SHUTDOWN 8463)
  (:DS_DRA_INCOMPATIBLE_PARTIAL_SET 8464)
  (:DS_DRA_SOURCE_IS_PARTIAL_REPLICA 8465)
  (:DS_DRA_EXTN_CONNECTION_FAILED 8466)
  (:DS_INSTALL_SCHEMA_MISMATCH 8467)
  (:DS_DUP_LINK_ID 8468)
  (:DS_NAME_ERROR_RESOLVING 8469)
  (:DS_NAME_ERROR_NOT_FOUND 8470)
  (:DS_NAME_ERROR_NOT_UNIQUE 8471)
  (:DS_NAME_ERROR_NO_MAPPING 8472)
  (:DS_NAME_ERROR_DOMAIN_ONLY 8473)
  (:DS_NAME_ERROR_NO_SYNTACTICAL_MAPPING 8474)
  (:DS_CONSTRUCTED_ATT_MOD 8475)
  (:DS_WRONG_OM_OBJ_CLASS 8476)
  (:DS_DRA_REPL_PENDING 8477)
  (:DS_DS_REQUIRED 8478)
  (:DS_INVALID_LDAP_DISPLAY_NAME 8479)
  (:DS_NON_BASE_SEARCH 8480)
  (:DS_CANT_RETRIEVE_ATTS 8481)
  (:DS_BACKLINK_WITHOUT_LINK 8482)
  (:DS_EPOCH_MISMATCH 8483)
  (:DS_SRC_NAME_MISMATCH 8484)
  (:DS_SRC_AND_DST_NC_IDENTICAL 8485)
  (:DS_DST_NC_MISMATCH 8486)
  (:DS_NOT_AUTHORITIVE_FOR_DST_NC 8487)
  (:DS_SRC_GUID_MISMATCH 8488)
  (:DS_CANT_MOVE_DELETED_OBJECT 8489)
  (:DS_PDC_OPERATION_IN_PROGRESS 8490)
  (:DS_CROSS_DOMAIN_CLEANUP_REQD 8491)
  (:DS_ILLEGAL_XDOM_MOVE_OPERATION 8492)
  (:DS_CANT_WITH_ACCT_GROUP_MEMBERSHPS 8493)
  (:DS_NC_MUST_HAVE_NC_PARENT 8494)
  (:DS_CR_IMPOSSIBLE_TO_VALIDATE 8495)
  (:DS_DST_DOMAIN_NOT_NATIVE 8496)
  (:DS_MISSING_INFRASTRUCTURE_CONTAINER 8497)
  (:DS_CANT_MOVE_ACCOUNT_GROUP 8498)
  (:DS_CANT_MOVE_RESOURCE_GROUP 8499)
  (:DS_INVALID_SEARCH_FLAG 8500)
  (:DS_NO_TREE_DELETE_ABOVE_NC 8501)
  (:DS_COULDNT_LOCK_TREE_FOR_DELETE 8502)
  (:DS_COULDNT_IDENTIFY_OBJECTS_FOR_TREE_DELETE 8503)
  (:DS_SAM_INIT_FAILURE 8504)
  (:DS_SENSITIVE_GROUP_VIOLATION 8505)
  (:DS_CANT_MOD_PRIMARYGROUPID 8506)
  (:DS_ILLEGAL_BASE_SCHEMA_MOD 8507)
  (:DS_NONSAFE_SCHEMA_CHANGE 8508)
  (:DS_SCHEMA_UPDATE_DISALLOWED 8509)
  (:DS_CANT_CREATE_UNDER_SCHEMA 8510)
  (:DS_INSTALL_NO_SRC_SCH_VERSION 8511)
  (:DS_INSTALL_NO_SCH_VERSION_IN_INIFILE 8512)
  (:DS_INVALID_GROUP_TYPE 8513)
  (:DS_NO_NEST_GLOBALGROUP_IN_MIXEDDOMAIN 8514)
  (:DS_NO_NEST_LOCALGROUP_IN_MIXEDDOMAIN 8515)
  (:DS_GLOBAL_CANT_HAVE_LOCAL_MEMBER 8516)
  (:DS_GLOBAL_CANT_HAVE_UNIVERSAL_MEMBER 8517)
  (:DS_UNIVERSAL_CANT_HAVE_LOCAL_MEMBER 8518)
  (:DS_GLOBAL_CANT_HAVE_CROSSDOMAIN_MEMBER 8519)
  (:DS_LOCAL_CANT_HAVE_CROSSDOMAIN_LOCAL_MEMBER 8520)
  (:DS_HAVE_PRIMARY_MEMBERS 8521)
  (:DS_STRING_SD_CONVERSION_FAILED 8522)
  (:DS_NAMING_MASTER_GC 8523)
  (:DS_LOOKUP_FAILURE 8524)
  (:DS_COULDNT_UPDATE_SPNS 8525)
  (:DS_CANT_RETRIEVE_SD 8526)
  (:DS_KEY_NOT_UNIQUE 8527)
  (:DS_WRONG_LINKED_ATT_SYNTAX 8528)
  (:DS_SAM_NEED_BOOTKEY_PASSWORD 8529)
  (:DS_SAM_NEED_BOOTKEY_FLOPPY 8530)
  (:DS_CANT_START 8531)
  (:DS_INIT_FAILURE 8532)
  (:DS_NO_PKT_PRIVACY_ON_CONNECTION 8533)
  (:DS_SOURCE_DOMAIN_IN_FOREST 8534)
  (:DS_DESTINATION_DOMAIN_NOT_IN_FOREST 8535)
  (:DS_DESTINATION_AUDITING_NOT_ENABLED 8536)
  (:DS_CANT_FIND_DC_FOR_SRC_DOMAIN 8537)
  (:DS_SRC_OBJ_NOT_GROUP_OR_USER 8538)
  (:DS_SRC_SID_EXISTS_IN_FOREST 8539)
  (:DS_SRC_AND_DST_OBJECT_CLASS_MISMATCH 8540)
  (:SAM_INIT_FAILURE 8541)
  (:DS_DRA_SCHEMA_INFO_SHIP 8542)
  (:DS_DRA_SCHEMA_CONFLICT 8543)
  (:DS_DRA_EARLIER_SCHEMA_CONLICT 8544)
  (:DS_DRA_OBJ_NC_MISMATCH 8545)
  (:DS_NC_STILL_HAS_DSAS 8546)
  (:DS_GC_REQUIRED 8547)
  (:DS_LOCAL_MEMBER_OF_LOCAL_ONLY 8548)
  (:DS_NO_FPO_IN_UNIVERSAL_GROUPS 8549)
  (:DS_CANT_ADD_TO_GC 8550)
  (:DS_NO_CHECKPOINT_WITH_PDC 8551)
  (:DS_SOURCE_AUDITING_NOT_ENABLED 8552)
  (:DS_CANT_CREATE_IN_NONDOMAIN_NC 8553)
  (:DS_INVALID_NAME_FOR_SPN 8554)
  (:DS_FILTER_USES_CONTRUCTED_ATTRS 8555)
  (:DS_UNICODEPWD_NOT_IN_QUOTES 8556)
  (:DS_MACHINE_ACCOUNT_QUOTA_EXCEEDED 8557)
  (:DS_MUST_BE_RUN_ON_DST_DC 8558)
  (:DS_SRC_DC_MUST_BE_SP4_OR_GREATER 8559)
  (:DS_CANT_TREE_DELETE_CRITICAL_OBJ 8560)
  (:DS_INIT_FAILURE_CONSOLE 8561)
  (:DS_SAM_INIT_FAILURE_CONSOLE 8562)
  (:DS_FOREST_VERSION_TOO_HIGH 8563)
  (:DS_DOMAIN_VERSION_TOO_HIGH 8564)
  (:DS_FOREST_VERSION_TOO_LOW 8565)
  (:DS_DOMAIN_VERSION_TOO_LOW 8566)
  (:DS_INCOMPATIBLE_VERSION 8567)
  (:DS_LOW_DSA_VERSION 8568)
  (:DS_NO_BEHAVIOR_VERSION_IN_MIXEDDOMAIN 8569)
  (:DS_NOT_SUPPORTED_SORT_ORDER 8570)
  (:DS_NAME_NOT_UNIQUE 8571)
  (:DS_MACHINE_ACCOUNT_CREATED_PRENT4 8572)
  (:DS_OUT_OF_VERSION_STORE 8573)
  (:DS_INCOMPATIBLE_CONTROLS_USED 8574)
  (:DS_NO_REF_DOMAIN 8575)
  (:DS_RESERVED_LINK_ID 8576)
  (:DS_LINK_ID_NOT_AVAILABLE 8577)
  (:DS_AG_CANT_HAVE_UNIVERSAL_MEMBER 8578)
  (:DS_MODIFYDN_DISALLOWED_BY_INSTANCE_TYPE 8579)
  (:DS_NO_OBJECT_MOVE_IN_SCHEMA_NC 8580)
  (:DS_MODIFYDN_DISALLOWED_BY_FLAG 8581)
  (:DS_MODIFYDN_WRONG_GRANDPARENT 8582)
  (:DS_NAME_ERROR_TRUST_REFERRAL 8583)
  (:NOT_SUPPORTED_ON_STANDARD_SERVER 8584)
  (:DS_CANT_ACCESS_REMOTE_PART_OF_AD 8585)
  (:DS_CR_IMPOSSIBLE_TO_VALIDATE_V2 8586)
  (:DS_THREAD_LIMIT_EXCEEDED 8587)
  (:DS_NOT_CLOSEST 8588)
  (:DS_CANT_DERIVE_SPN_WITHOUT_SERVER_REF 8589)
  (:DS_SINGLE_USER_MODE_FAILED 8590)
  (:DS_NTDSCRIPT_SYNTAX_ERROR 8591)
  (:DS_NTDSCRIPT_PROCESS_ERROR 8592)
  (:DS_DIFFERENT_REPL_EPOCHS 8593)
  (:DS_DRS_EXTENSIONS_CHANGED 8594)
  (:DS_REPLICA_SET_CHANGE_NOT_ALLOWED_ON_DISABLED_CR 8595)
  (:DS_NO_MSDS_INTID 8596)
  (:DS_DUP_MSDS_INTID 8597)
  (:DS_EXISTS_IN_RDNATTID 8598)
  (:DS_AUTHORIZATION_FAILED 8599)
  (:DS_INVALID_SCRIPT 8600)
  (:DS_REMOTE_CROSSREF_OP_FAILED 8601)
  (:DS_CROSS_REF_BUSY 8602)
  (:DS_CANT_DERIVE_SPN_FOR_DELETED_DOMAIN 8603)
  (:DS_CANT_DEMOTE_WITH_WRITEABLE_NC 8604)
  (:DS_DUPLICATE_ID_FOUND 8605)
  (:DS_INSUFFICIENT_ATTR_TO_CREATE_OBJECT 8606)
  (:DS_GROUP_CONVERSION_ERROR 8607)
  (:DS_CANT_MOVE_APP_BASIC_GROUP 8608)
  (:DS_CANT_MOVE_APP_QUERY_GROUP 8609)
  (:DS_ROLE_NOT_VERIFIED 8610)
  (:DS_WKO_CONTAINER_CANNOT_BE_SPECIAL 8611)
  (:DS_DOMAIN_RENAME_IN_PROGRESS 8612)
  (:DS_EXISTING_AD_CHILD_NC 8613)
  (:DNS_ERROR_RCODE_FORMAT_ERROR 9001)
  (:DNS_ERROR_RCODE_SERVER_FAILURE 9002)
  (:DNS_ERROR_RCODE_NAME_ERROR 9003)
  (:DNS_ERROR_RCODE_NOT_IMPLEMENTED 9004)
  (:DNS_ERROR_RCODE_REFUSED 9005)
  (:DNS_ERROR_RCODE_YXDOMAIN 9006)
  (:DNS_ERROR_RCODE_YXRRSET 9007)
  (:DNS_ERROR_RCODE_NXRRSET 9008)
  (:DNS_ERROR_RCODE_NOTAUTH 9009)
  (:DNS_ERROR_RCODE_NOTZONE 9010)
  (:DNS_ERROR_RCODE_BADSIG 9016)
  (:DNS_ERROR_RCODE_BADKEY 9017)
  (:DNS_ERROR_RCODE_BADTIME 9018)
  (:DNS_INFO_NO_RECORDS 9501)
  (:DNS_ERROR_BAD_PACKET 9502)
  (:DNS_ERROR_NO_PACKET 9503)
  (:DNS_ERROR_RCODE 9504)
  (:DNS_ERROR_UNSECURE_PACKET 9505)
  (:DNS_ERROR_INVALID_TYPE 9551)
  (:DNS_ERROR_INVALID_IP_ADDRESS 9552)
  (:DNS_ERROR_INVALID_PROPERTY 9553)
  (:DNS_ERROR_TRY_AGAIN_LATER 9554)
  (:DNS_ERROR_NOT_UNIQUE 9555)
  (:DNS_ERROR_NON_RFC_NAME 9556)
  (:DNS_STATUS_FQDN 9557)
  (:DNS_STATUS_DOTTED_NAME 9558)
  (:DNS_STATUS_SINGLE_PART_NAME 9559)
  (:DNS_ERROR_INVALID_NAME_CHAR 9560)
  (:DNS_ERROR_NUMERIC_NAME 9561)
  (:DNS_ERROR_NOT_ALLOWED_ON_ROOT_SERVER 9562)
  (:DNS_ERROR_NOT_ALLOWED_UNDER_DELEGATION 9563)
  (:DNS_ERROR_CANNOT_FIND_ROOT_HINTS 9564)
  (:DNS_ERROR_INCONSISTENT_ROOT_HINTS 9565)
  (:DNS_ERROR_ZONE_DOES_NOT_EXIST 9601)
  (:DNS_ERROR_NO_ZONE_INFO 9602)
  (:DNS_ERROR_INVALID_ZONE_OPERATION 9603)
  (:DNS_ERROR_ZONE_CONFIGURATION_ERROR 9604)
  (:DNS_ERROR_ZONE_HAS_NO_SOA_RECORD 9605)
  (:DNS_ERROR_ZONE_HAS_NO_NS_RECORDS 9606)
  (:DNS_ERROR_ZONE_LOCKED 9607)
  (:DNS_ERROR_ZONE_CREATION_FAILED 9608)
  (:DNS_ERROR_ZONE_ALREADY_EXISTS 9609)
  (:DNS_ERROR_AUTOZONE_ALREADY_EXISTS 9610)
  (:DNS_ERROR_INVALID_ZONE_TYPE 9611)
  (:DNS_ERROR_SECONDARY_REQUIRES_MASTER_IP 9612)
  (:DNS_ERROR_ZONE_NOT_SECONDARY 9613)
  (:DNS_ERROR_NEED_SECONDARY_ADDRESSES 9614)
  (:DNS_ERROR_WINS_INIT_FAILED 9615)
  (:DNS_ERROR_NEED_WINS_SERVERS 9616)
  (:DNS_ERROR_NBSTAT_INIT_FAILED 9617)
  (:DNS_ERROR_SOA_DELETE_INVALID 9618)
  (:DNS_ERROR_FORWARDER_ALREADY_EXISTS 9619)
  (:DNS_ERROR_ZONE_REQUIRES_MASTER_IP 9620)
  (:DNS_ERROR_ZONE_IS_SHUTDOWN 9621)
  (:DNS_ERROR_PRIMARY_REQUIRES_DATAFILE 9651)
  (:DNS_ERROR_INVALID_DATAFILE_NAME 9652)
  (:DNS_ERROR_DATAFILE_OPEN_FAILURE 9653)
  (:DNS_ERROR_FILE_WRITEBACK_FAILED 9654)
  (:DNS_ERROR_DATAFILE_PARSING 9655)
  (:DNS_ERROR_RECORD_DOES_NOT_EXIST 9701)
  (:DNS_ERROR_RECORD_FORMAT 9702)
  (:DNS_ERROR_NODE_CREATION_FAILED 9703)
  (:DNS_ERROR_UNKNOWN_RECORD_TYPE 9704)
  (:DNS_ERROR_RECORD_TIMED_OUT 9705)
  (:DNS_ERROR_NAME_NOT_IN_ZONE 9706)
  (:DNS_ERROR_CNAME_LOOP 9707)
  (:DNS_ERROR_NODE_IS_CNAME 9708)
  (:DNS_ERROR_CNAME_COLLISION 9709)
  (:DNS_ERROR_RECORD_ONLY_AT_ZONE_ROOT 9710)
  (:DNS_ERROR_RECORD_ALREADY_EXISTS 9711)
  (:DNS_ERROR_SECONDARY_DATA 9712)
  (:DNS_ERROR_NO_CREATE_CACHE_DATA 9713)
  (:DNS_ERROR_NAME_DOES_NOT_EXIST 9714)
  (:DNS_WARNING_PTR_CREATE_FAILED 9715)
  (:DNS_WARNING_DOMAIN_UNDELETED 9716)
  (:DNS_ERROR_DS_UNAVAILABLE 9717)
  (:DNS_ERROR_DS_ZONE_ALREADY_EXISTS 9718)
  (:DNS_ERROR_NO_BOOTFILE_IF_DS_ZONE 9719)
  (:DNS_INFO_AXFR_COMPLETE 9751)
  (:DNS_ERROR_AXFR 9752)
  (:DNS_INFO_ADDED_LOCAL_WINS 9753)
  (:DNS_STATUS_CONTINUE_NEEDED 9801)
  (:DNS_ERROR_NO_TCPIP 9851)
  (:DNS_ERROR_NO_DNS_SERVERS 9852)
  (:DNS_ERROR_DP_DOES_NOT_EXIST 9901)
  (:DNS_ERROR_DP_ALREADY_EXISTS 9902)
  (:DNS_ERROR_DP_NOT_ENLISTED 9903)
  (:DNS_ERROR_DP_ALREADY_ENLISTED 9904)
  (:DNS_ERROR_DP_NOT_AVAILABLE 9905)
  (:WSABASEERR 10000)
  (:WSAEINTR 10004)
  (:WSAEBADF 10009)
  (:WSAEACCES 10013)
  (:WSAEFAULT 10014)
  (:WSAEINVAL 10022)
  (:WSAEMFILE 10024)
  (:WSAEWOULDBLOCK 10035)
  (:WSAEINPROGRESS 10036)
  (:WSAEALREADY 10037)
  (:WSAENOTSOCK 10038)
  (:WSAEDESTADDRREQ 10039)
  (:WSAEMSGSIZE 10040)
  (:WSAEPROTOTYPE 10041)
  (:WSAENOPROTOOPT 10042)
  (:WSAEPROTONOSUPPORT 10043)
  (:WSAESOCKTNOSUPPORT 10044)
  (:WSAEOPNOTSUPP 10045)
  (:WSAEPFNOSUPPORT 10046)
  (:WSAEAFNOSUPPORT 10047)
  (:WSAEADDRINUSE 10048)
  (:WSAEADDRNOTAVAIL 10049)
  (:WSAENETDOWN 10050)
  (:WSAENETUNREACH 10051)
  (:WSAENETRESET 10052)
  (:WSAECONNABORTED 10053)
  (:WSAECONNRESET 10054)
  (:WSAENOBUFS 10055)
  (:WSAEISCONN 10056)
  (:WSAENOTCONN 10057)
  (:WSAESHUTDOWN 10058)
  (:WSAETOOMANYREFS 10059)
  (:WSAETIMEDOUT 10060)
  (:WSAECONNREFUSED 10061)
  (:WSAELOOP 10062)
  (:WSAENAMETOOLONG 10063)
  (:WSAEHOSTDOWN 10064)
  (:WSAEHOSTUNREACH 10065)
  (:WSAENOTEMPTY 10066)
  (:WSAEPROCLIM 10067)
  (:WSAEUSERS 10068)
  (:WSAEDQUOT 10069)
  (:WSAESTALE 10070)
  (:WSAEREMOTE 10071)
  (:WSASYSNOTREADY 10091)
  (:WSAVERNOTSUPPORTED 10092)
  (:WSANOTINITIALISED 10093)
  (:WSAEDISCON 10101)
  (:WSAENOMORE 10102)
  (:WSAECANCELLED 10103)
  (:WSAEINVALIDPROCTABLE 10104)
  (:WSAEINVALIDPROVIDER 10105)
  (:WSAEPROVIDERFAILEDINIT 10106)
  (:WSASYSCALLFAILURE 10107)
  (:WSASERVICE_NOT_FOUND 10108)
  (:WSATYPE_NOT_FOUND 10109)
  (:WSA_E_NO_MORE 10110)
  (:WSA_E_CANCELLED 10111)
  (:WSAEREFUSED 10112)
  (:WSAHOST_NOT_FOUND 11001)
  (:WSATRY_AGAIN 11002)
  (:WSANO_RECOVERY 11003)
  (:WSANO_DATA 11004)
  (:WSA_QOS_RECEIVERS 11005)
  (:WSA_QOS_SENDERS 11006)
  (:WSA_QOS_NO_SENDERS 11007)
  (:WSA_QOS_NO_RECEIVERS 11008)
  (:WSA_QOS_REQUEST_CONFIRMED 11009)
  (:WSA_QOS_ADMISSION_FAILURE 11010)
  (:WSA_QOS_POLICY_FAILURE 11011)
  (:WSA_QOS_BAD_STYLE 11012)
  (:WSA_QOS_BAD_OBJECT 11013)
  (:WSA_QOS_TRAFFIC_CTRL_ERROR 11014)
  (:WSA_QOS_GENERIC_ERROR 11015)
  (:WSA_QOS_ESERVICETYPE 11016)
  (:WSA_QOS_EFLOWSPEC 11017)
  (:WSA_QOS_EPROVSPECBUF 11018)
  (:WSA_QOS_EFILTERSTYLE 11019)
  (:WSA_QOS_EFILTERTYPE 11020)
  (:WSA_QOS_EFILTERCOUNT 11021)
  (:WSA_QOS_EOBJLENGTH 11022)
  (:WSA_QOS_EFLOWCOUNT 11023)
  (:WSA_QOS_EUNKNOWNPSOBJ 11024)
  (:WSA_QOS_EPOLICYOBJ 11025)
  (:WSA_QOS_EFLOWDESC 11026)
  (:WSA_QOS_EPSFLOWSPEC 11027)
  (:WSA_QOS_EPSFILTERSPEC 11028)
  (:WSA_QOS_ESDMODEOBJ 11029)
  (:WSA_QOS_ESHAPERATEOBJ 11030)
  (:WSA_QOS_RESERVED_PETYPE 11031)
  (:IPSEC_QM_POLICY_EXISTS 13000)
  (:IPSEC_QM_POLICY_NOT_FOUND 13001)
  (:IPSEC_QM_POLICY_IN_USE 13002)
  (:IPSEC_MM_POLICY_EXISTS 13003)
  (:IPSEC_MM_POLICY_NOT_FOUND 13004)
  (:IPSEC_MM_POLICY_IN_USE 13005)
  (:IPSEC_MM_FILTER_EXISTS 13006)
  (:IPSEC_MM_FILTER_NOT_FOUND 13007)
  (:IPSEC_TRANSPORT_FILTER_EXISTS 13008)
  (:IPSEC_TRANSPORT_FILTER_NOT_FOUND 13009)
  (:IPSEC_MM_AUTH_EXISTS 13010)
  (:IPSEC_MM_AUTH_NOT_FOUND 13011)
  (:IPSEC_MM_AUTH_IN_USE 13012)
  (:IPSEC_DEFAULT_MM_POLICY_NOT_FOUND 13013)
  (:IPSEC_DEFAULT_MM_AUTH_NOT_FOUND 13014)
  (:IPSEC_DEFAULT_QM_POLICY_NOT_FOUND 13015)
  (:IPSEC_TUNNEL_FILTER_EXISTS 13016)
  (:IPSEC_TUNNEL_FILTER_NOT_FOUND 13017)
  (:IPSEC_MM_FILTER_PENDING_DELETION 13018)
  (:IPSEC_TRANSPORT_FILTER_PENDING_DELETION 13019)
  (:IPSEC_TUNNEL_FILTER_PENDING_DELETION 13020)
  (:IPSEC_MM_POLICY_PENDING_DELETION 13021)
  (:IPSEC_MM_AUTH_PENDING_DELETION 13022)
  (:IPSEC_QM_POLICY_PENDING_DELETION 13023)
  (:WARNING_IPSEC_MM_POLICY_PRUNED 13024)
  (:WARNING_IPSEC_QM_POLICY_PRUNED 13025)
  (:IPSEC_IKE_AUTH_FAIL 13801)
  (:IPSEC_IKE_ATTRIB_FAIL 13802)
  (:IPSEC_IKE_NEGOTIATION_PENDING 13803)
  (:IPSEC_IKE_GENERAL_PROCESSING_ERROR 13804)
  (:IPSEC_IKE_TIMED_OUT 13805)
  (:IPSEC_IKE_NO_CERT 13806)
  (:IPSEC_IKE_SA_DELETED 13807)
  (:IPSEC_IKE_SA_REAPED 13808)
  (:IPSEC_IKE_MM_ACQUIRE_DROP 13809)
  (:IPSEC_IKE_QM_ACQUIRE_DROP 13810)
  (:IPSEC_IKE_QUEUE_DROP_MM 13811)
  (:IPSEC_IKE_QUEUE_DROP_NO_MM 13812)
  (:IPSEC_IKE_DROP_NO_RESPONSE 13813)
  (:IPSEC_IKE_MM_DELAY_DROP 13814)
  (:IPSEC_IKE_QM_DELAY_DROP 13815)
  (:IPSEC_IKE_ERROR 13816)
  (:IPSEC_IKE_CRL_FAILED 13817)
  (:IPSEC_IKE_INVALID_KEY_USAGE 13818)
  (:IPSEC_IKE_INVALID_CERT_TYPE 13819)
  (:IPSEC_IKE_NO_PRIVATE_KEY 13820)
  (:IPSEC_IKE_DH_FAIL 13822)
  (:IPSEC_IKE_INVALID_HEADER 13824)
  (:IPSEC_IKE_NO_POLICY 13825)
  (:IPSEC_IKE_INVALID_SIGNATURE 13826)
  (:IPSEC_IKE_KERBEROS_ERROR 13827)
  (:IPSEC_IKE_NO_PUBLIC_KEY 13828)
  (:IPSEC_IKE_PROCESS_ERR 13829)
  (:IPSEC_IKE_PROCESS_ERR_SA 13830)
  (:IPSEC_IKE_PROCESS_ERR_PROP 13831)
  (:IPSEC_IKE_PROCESS_ERR_TRANS 13832)
  (:IPSEC_IKE_PROCESS_ERR_KE 13833)
  (:IPSEC_IKE_PROCESS_ERR_ID 13834)
  (:IPSEC_IKE_PROCESS_ERR_CERT 13835)
  (:IPSEC_IKE_PROCESS_ERR_CERT_REQ 13836)
  (:IPSEC_IKE_PROCESS_ERR_HASH 13837)
  (:IPSEC_IKE_PROCESS_ERR_SIG 13838)
  (:IPSEC_IKE_PROCESS_ERR_NONCE 13839)
  (:IPSEC_IKE_PROCESS_ERR_NOTIFY 13840)
  (:IPSEC_IKE_PROCESS_ERR_DELETE 13841)
  (:IPSEC_IKE_PROCESS_ERR_VENDOR 13842)
  (:IPSEC_IKE_INVALID_PAYLOAD 13843)
  (:IPSEC_IKE_LOAD_SOFT_SA 13844)
  (:IPSEC_IKE_SOFT_SA_TORN_DOWN 13845)
  (:IPSEC_IKE_INVALID_COOKIE 13846)
  (:IPSEC_IKE_NO_PEER_CERT 13847)
  (:IPSEC_IKE_PEER_CRL_FAILED 13848)
  (:IPSEC_IKE_POLICY_CHANGE 13849)
  (:IPSEC_IKE_NO_MM_POLICY 13850)
  (:IPSEC_IKE_NOTCBPRIV 13851)
  (:IPSEC_IKE_SECLOADFAIL 13852)
  (:IPSEC_IKE_FAILSSPINIT 13853)
  (:IPSEC_IKE_FAILQUERYSSP 13854)
  (:IPSEC_IKE_SRVACQFAIL 13855)
  (:IPSEC_IKE_SRVQUERYCRED 13856)
  (:IPSEC_IKE_GETSPIFAIL 13857)
  (:IPSEC_IKE_INVALID_FILTER 13858)
  (:IPSEC_IKE_OUT_OF_MEMORY 13859)
  (:IPSEC_IKE_ADD_UPDATE_KEY_FAILED 13860)
  (:IPSEC_IKE_INVALID_POLICY 13861)
  (:IPSEC_IKE_UNKNOWN_DOI 13862)
  (:IPSEC_IKE_INVALID_SITUATION 13863)
  (:IPSEC_IKE_DH_FAILURE 13864)
  (:IPSEC_IKE_INVALID_GROUP 13865)
  (:IPSEC_IKE_ENCRYPT 13866)
  (:IPSEC_IKE_DECRYPT 13867)
  (:IPSEC_IKE_POLICY_MATCH 13868)
  (:IPSEC_IKE_UNSUPPORTED_ID 13869)
  (:IPSEC_IKE_INVALID_HASH 13870)
  (:IPSEC_IKE_INVALID_HASH_ALG 13871)
  (:IPSEC_IKE_INVALID_HASH_SIZE 13872)
  (:IPSEC_IKE_INVALID_ENCRYPT_ALG 13873)
  (:IPSEC_IKE_INVALID_AUTH_ALG 13874)
  (:IPSEC_IKE_INVALID_SIG 13875)
  (:IPSEC_IKE_LOAD_FAILED 13876)
  (:IPSEC_IKE_RPC_DELETE 13877)
  (:IPSEC_IKE_BENIGN_REINIT 13878)
  (:IPSEC_IKE_INVALID_RESPONDER_LIFETIME_NOTIFY 13879)
  (:IPSEC_IKE_INVALID_CERT_KEYLEN 13881)
  (:IPSEC_IKE_MM_LIMIT 13882)
  (:IPSEC_IKE_NEGOTIATION_DISABLED 13883)
  (:IPSEC_IKE_NEG_STATUS_END 13884)
  (:SXS_SECTION_NOT_FOUND 14000)
  (:SXS_CANT_GEN_ACTCTX 14001)
  (:SXS_INVALID_ACTCTXDATA_FORMAT 14002)
  (:SXS_ASSEMBLY_NOT_FOUND 14003)
  (:SXS_MANIFEST_FORMAT_ERROR 14004)
  (:SXS_MANIFEST_PARSE_ERROR 14005)
  (:SXS_ACTIVATION_CONTEXT_DISABLED 14006)
  (:SXS_KEY_NOT_FOUND 14007)
  (:SXS_VERSION_CONFLICT 14008)
  (:SXS_WRONG_SECTION_TYPE 14009)
  (:SXS_THREAD_QUERIES_DISABLED 14010)
  (:SXS_PROCESS_DEFAULT_ALREADY_SET 14011)
  (:SXS_UNKNOWN_ENCODING_GROUP 14012)
  (:SXS_UNKNOWN_ENCODING 14013)
  (:SXS_INVALID_XML_NAMESPACE_URI 14014)
  (:SXS_ROOT_MANIFEST_DEPENDENCY_NOT_INSTALLED 14015)
  (:SXS_LEAF_MANIFEST_DEPENDENCY_NOT_INSTALLED 14016)
  (:SXS_INVALID_ASSEMBLY_IDENTITY_ATTRIBUTE 14017)
  (:SXS_MANIFEST_MISSING_REQUIRED_DEFAULT_NAMESPACE 14018)
  (:SXS_MANIFEST_INVALID_REQUIRED_DEFAULT_NAMESPACE 14019)
  (:SXS_PRIVATE_MANIFEST_CROSS_PATH_WITH_REPARSE_POINT 14020)
  (:SXS_DUPLICATE_DLL_NAME 14021)
  (:SXS_DUPLICATE_WINDOWCLASS_NAME 14022)
  (:SXS_DUPLICATE_CLSID 14023)
  (:SXS_DUPLICATE_IID 14024)
  (:SXS_DUPLICATE_TLBID 14025)
  (:SXS_DUPLICATE_PROGID 14026)
  (:SXS_DUPLICATE_ASSEMBLY_NAME 14027)
  (:SXS_FILE_HASH_MISMATCH 14028)
  (:SXS_POLICY_PARSE_ERROR 14029)
  (:SXS_XML_E_MISSINGQUOTE 14030)
  (:SXS_XML_E_COMMENTSYNTAX 14031)
  (:SXS_XML_E_BADSTARTNAMECHAR 14032)
  (:SXS_XML_E_BADNAMECHAR 14033)
  (:SXS_XML_E_BADCHARINSTRING 14034)
  (:SXS_XML_E_XMLDECLSYNTAX 14035)
  (:SXS_XML_E_BADCHARDATA 14036)
  (:SXS_XML_E_MISSINGWHITESPACE 14037)
  (:SXS_XML_E_EXPECTINGTAGEND 14038)
  (:SXS_XML_E_MISSINGSEMICOLON 14039)
  (:SXS_XML_E_UNBALANCEDPAREN 14040)
  (:SXS_XML_E_INTERNALERROR 14041)
  (:SXS_XML_E_UNEXPECTED_WHITESPACE 14042)
  (:SXS_XML_E_INCOMPLETE_ENCODING 14043)
  (:SXS_XML_E_MISSING_PAREN 14044)
  (:SXS_XML_E_EXPECTINGCLOSEQUOTE 14045)
  (:SXS_XML_E_MULTIPLE_COLONS 14046)
  (:SXS_XML_E_INVALID_DECIMAL 14047)
  (:SXS_XML_E_INVALID_HEXIDECIMAL 14048)
  (:SXS_XML_E_INVALID_UNICODE 14049)
  (:SXS_XML_E_WHITESPACEORQUESTIONMARK 14050)
  (:SXS_XML_E_UNEXPECTEDENDTAG 14051)
  (:SXS_XML_E_UNCLOSEDTAG 14052)
  (:SXS_XML_E_DUPLICATEATTRIBUTE 14053)
  (:SXS_XML_E_MULTIPLEROOTS 14054)
  (:SXS_XML_E_INVALIDATROOTLEVEL 14055)
  (:SXS_XML_E_BADXMLDECL 14056)
  (:SXS_XML_E_MISSINGROOT 14057)
  (:SXS_XML_E_UNEXPECTEDEOF 14058)
  (:SXS_XML_E_BADPEREFINSUBSET 14059)
  (:SXS_XML_E_UNCLOSEDSTARTTAG 14060)
  (:SXS_XML_E_UNCLOSEDENDTAG 14061)
  (:SXS_XML_E_UNCLOSEDSTRING 14062)
  (:SXS_XML_E_UNCLOSEDCOMMENT 14063)
  (:SXS_XML_E_UNCLOSEDDECL 14064)
  (:SXS_XML_E_UNCLOSEDCDATA 14065)
  (:SXS_XML_E_RESERVEDNAMESPACE 14066)
  (:SXS_XML_E_INVALIDENCODING 14067)
  (:SXS_XML_E_INVALIDSWITCH 14068)
  (:SXS_XML_E_BADXMLCASE 14069)
  (:SXS_XML_E_INVALID_STANDALONE 14070)
  (:SXS_XML_E_UNEXPECTED_STANDALONE 14071)
  (:SXS_XML_E_INVALID_VERSION 14072)
  (:SXS_XML_E_MISSINGEQUALS 14073)
  (:SXS_PROTECTION_RECOVERY_FAILED 14074)
  (:SXS_PROTECTION_PUBLIC_KEY_TOO_SHORT 14075)
  (:SXS_PROTECTION_CATALOG_NOT_VALID 14076)
  (:SXS_UNTRANSLATABLE_HRESULT 14077)
  (:SXS_PROTECTION_CATALOG_FILE_MISSING 14078)
  (:SXS_MISSING_ASSEMBLY_IDENTITY_ATTRIBUTE 14079)
  (:SXS_INVALID_ASSEMBLY_IDENTITY_ATTRIBUTE_NAME 14080))

(defcfunex-exported ("Beep" Beep :convention :stdcall) BOOL
  (|dwFreq|     DWORD)
  (|dwDuration| DWORD))

(defcfunex-exported ("FatalAppExitA" FatalAppExitA :convention :stdcall) VOID
  (|uAction|       UINT)
  (|lpMessageText| ASTRING))

(defcfunex-exported ("FatalAppExitW" FatalAppExitW :convention :stdcall) VOID
  (|uAction|       UINT)
  (|lpMessageText| WSTRING))

(define-abbrev-exported FatalAppExit FatalAppExitW)

(defcfunex-exported ("FlashWindow" FlashWindow :convention :stdcall) BOOL
  (|hWnd|    HWND)
  (|bInvert| BOOL))

(defcfunex-exported ("GetLastError" GetLastError :convention :stdcall) ERROR-CODES)

(defcfunex-exported ("MessageBeep" MessageBeep :convention :stdcall) BOOL
  (|uType|   UINT))

(defcfunex-exported ("SetErrorMode" SetErrorMode :convention :stdcall) UINT
  (|uMode| UINT))

(defcfunex-exported ("SetLastError" SetLastError :convention :stdcall) VOID
  (|dwErrCode| ERROR-CODES))

(defcfunex-exported ("SetLastErrorEx" SetLastErrorEx :convention :stdcall) VOID
  (|dwErrCode| ERROR-CODES)
  (|dwType| DWORD))


